import{S as Wv,i as Xv,s as Yv,e as s,k as h,w as v,t as n,M as Kv,c as r,d as a,m as u,a as o,x as E,h as l,b as p,G as e,g as c,y as $,q as y,o as w,B as k,v as Jv,L as Fe}from"../../chunks/vendor-hf-doc-builder.js";import{T as Mv}from"../../chunks/Tip-hf-doc-builder.js";import{D as T}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Q}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as C}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Ce}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Zv(j){let f,H,b,d,m,i,_,pe,ee,He,G,F,te,ae,Ie,I,K,je,V,de,J,ne,fe,se,Oe,le,z,M,xe;return{c(){f=s("p"),H=n("HuggingFace Hub has following logging levels:"),b=h(),d=s("ul"),m=s("li"),i=s("code"),_=n("huggingface_hub.logging.CRITICAL"),pe=n(", "),ee=s("code"),He=n("huggingface_hub.logging.FATAL"),G=h(),F=s("li"),te=s("code"),ae=n("huggingface_hub.logging.ERROR"),Ie=h(),I=s("li"),K=s("code"),je=n("huggingface_hub.logging.WARNING"),V=n(", "),de=s("code"),J=n("huggingface_hub.logging.WARN"),ne=h(),fe=s("li"),se=s("code"),Oe=n("huggingface_hub.logging.INFO"),le=h(),z=s("li"),M=s("code"),xe=n("huggingface_hub.logging.DEBUG")},l(P){f=r(P,"P",{});var W=o(f);H=l(W,"HuggingFace Hub has following logging levels:"),W.forEach(a),b=u(P),d=r(P,"UL",{});var N=o(d);m=r(N,"LI",{});var Z=o(m);i=r(Z,"CODE",{});var Ae=o(i);_=l(Ae,"huggingface_hub.logging.CRITICAL"),Ae.forEach(a),pe=l(Z,", "),ee=r(Z,"CODE",{});var _e=o(ee);He=l(_e,"huggingface_hub.logging.FATAL"),_e.forEach(a),Z.forEach(a),G=u(N),F=r(N,"LI",{});var me=o(F);te=r(me,"CODE",{});var ie=o(te);ae=l(ie,"huggingface_hub.logging.ERROR"),ie.forEach(a),me.forEach(a),Ie=u(N),I=r(N,"LI",{});var q=o(I);K=r(q,"CODE",{});var be=o(K);je=l(be,"huggingface_hub.logging.WARNING"),be.forEach(a),V=l(q,", "),de=r(q,"CODE",{});var O=o(de);J=l(O,"huggingface_hub.logging.WARN"),O.forEach(a),q.forEach(a),ne=u(N),fe=r(N,"LI",{});var ve=o(fe);se=r(ve,"CODE",{});var L=o(se);Oe=l(L,"huggingface_hub.logging.INFO"),L.forEach(a),ve.forEach(a),le=u(N),z=r(N,"LI",{});var he=o(z);M=r(he,"CODE",{});var Te=o(M);xe=l(Te,"huggingface_hub.logging.DEBUG"),Te.forEach(a),he.forEach(a),N.forEach(a)},m(P,W){c(P,f,W),e(f,H),c(P,b,W),c(P,d,W),e(d,m),e(m,i),e(i,_),e(m,pe),e(m,ee),e(ee,He),e(d,G),e(d,F),e(F,te),e(te,ae),e(d,Ie),e(d,I),e(I,K),e(K,je),e(I,V),e(I,de),e(de,J),e(d,ne),e(d,fe),e(fe,se),e(se,Oe),e(d,le),e(d,z),e(z,M),e(M,xe)},d(P){P&&a(f),P&&a(b),P&&a(d)}}}function Qv(j){let f,H,b,d,m;return d=new Q({props:{code:`from huggingface_hub import get_logger

logger = get_logger(__file__)
logger.set_verbosity_info()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> get_logger

<span class="hljs-meta">&gt;&gt;&gt; </span>logger = get_logger(__file__)
<span class="hljs-meta">&gt;&gt;&gt; </span>logger.set_verbosity_info()`}}),{c(){f=s("p"),H=n("Example:"),b=h(),v(d.$$.fragment)},l(i){f=r(i,"P",{});var _=o(f);H=l(_,"Example:"),_.forEach(a),b=u(i),E(d.$$.fragment,i)},m(i,_){c(i,f,_),e(f,H),c(i,b,_),$(d,i,_),m=!0},p:Fe,i(i){m||(y(d.$$.fragment,i),m=!0)},o(i){w(d.$$.fragment,i),m=!1},d(i){i&&a(f),i&&a(b),k(d,i)}}}function eE(j){let f,H,b,d,m;return d=new Q({props:{code:`    import requests
    from huggingface_hub.utils import hf_raise_for_status, HfHubHTTPError

    response = requests.post(...)
    try:
        hf_raise_for_status(response)
    except HfHubHTTPError as e:
        print(str(e)) # formatted message
        e.request_id, e.server_message # details returned by server

        # Complete the error message with additional information once it's raised
        e.append_to_message("
ate_commit\` expects the repository to exist.")
        raise`,highlighted:`    <span class="hljs-keyword">import</span> requests
    <span class="hljs-keyword">from</span> huggingface_hub.utils <span class="hljs-keyword">import</span> hf_raise_for_status, HfHubHTTPError

    response = requests.post(...)
    <span class="hljs-keyword">try</span>:
        hf_raise_for_status(response)
    <span class="hljs-keyword">except</span> HfHubHTTPError <span class="hljs-keyword">as</span> e:
        <span class="hljs-built_in">print</span>(<span class="hljs-built_in">str</span>(e)) <span class="hljs-comment"># formatted message</span>
        e.request_id, e.server_message <span class="hljs-comment"># details returned by server</span>

        <span class="hljs-comment"># Complete the error message with additional information once it&#x27;s raised</span>
        e.append_to_message(<span class="hljs-string">&quot;
ate_commit\` expects the repository to exist.&quot;</span>)
        <span class="hljs-keyword">raise</span>`}}),{c(){f=s("p"),H=n("Example:"),b=h(),v(d.$$.fragment)},l(i){f=r(i,"P",{});var _=o(f);H=l(_,"Example:"),_.forEach(a),b=u(i),E(d.$$.fragment,i)},m(i,_){c(i,f,_),e(f,H),c(i,b,_),$(d,i,_),m=!0},p:Fe,i(i){m||(y(d.$$.fragment,i),m=!0)},o(i){w(d.$$.fragment,i),m=!1},d(i){i&&a(f),i&&a(b),k(d,i)}}}function tE(j){let f,H,b,d,m,i,_,pe,ee,He,G,F,te,ae,Ie,I,K,je,V,de,J,ne,fe,se,Oe,le,z,M,xe,P,W,N,Z,Ae,_e,me,ie,q,be;return{c(){f=s("p"),H=n("Raises when the request has failed:"),b=h(),d=s("ul"),m=s("li"),i=s("a"),_=n("RepositoryNotFoundError"),pe=n(`
If the repository to download from cannot be found. This may be because it
doesn\u2019t exist, because `),ee=s("code"),He=n("repo_type"),G=n(` is not set correctly, or because the repo
is `),F=s("code"),te=n("private"),ae=n(" and you do not have access."),Ie=h(),I=s("li"),K=s("a"),je=n("GatedRepoError"),V=n(`
If the repository exists but is gated and the user is not on the authorized
list.`),de=h(),J=s("li"),ne=s("a"),fe=n("RevisionNotFoundError"),se=n(`
If the repository exists but the revision couldn\u2019t be find.`),Oe=h(),le=s("li"),z=s("a"),M=n("EntryNotFoundError"),xe=n(`
If the repository exists but the entry (e.g. the requested file) couldn\u2019t be
find.`),P=h(),W=s("li"),N=s("a"),Z=n("BadRequestError"),Ae=n(`
If request failed with a HTTP 400 BadRequest error.`),_e=h(),me=s("li"),ie=s("a"),q=n("HfHubHTTPError"),be=n(`
If request failed for a reason not listed above.`),this.h()},l(O){f=r(O,"P",{});var ve=o(f);H=l(ve,"Raises when the request has failed:"),ve.forEach(a),b=u(O),d=r(O,"UL",{});var L=o(d);m=r(L,"LI",{});var he=o(m);i=r(he,"A",{href:!0});var Te=o(i);_=l(Te,"RepositoryNotFoundError"),Te.forEach(a),pe=l(he,`
If the repository to download from cannot be found. This may be because it
doesn\u2019t exist, because `),ee=r(he,"CODE",{});var Xt=o(ee);He=l(Xt,"repo_type"),Xt.forEach(a),G=l(he,` is not set correctly, or because the repo
is `),F=r(he,"CODE",{});var sr=o(F);te=l(sr,"private"),sr.forEach(a),ae=l(he," and you do not have access."),he.forEach(a),Ie=u(L),I=r(L,"LI",{});var Oa=o(I);K=r(Oa,"A",{href:!0});var rr=o(K);je=l(rr,"GatedRepoError"),rr.forEach(a),V=l(Oa,`
If the repository exists but is gated and the user is not on the authorized
list.`),Oa.forEach(a),de=u(L),J=r(L,"LI",{});var Je=o(J);ne=r(Je,"A",{href:!0});var Yt=o(ne);fe=l(Yt,"RevisionNotFoundError"),Yt.forEach(a),se=l(Je,`
If the repository exists but the revision couldn\u2019t be find.`),Je.forEach(a),Oe=u(L),le=r(L,"LI",{});var Aa=o(le);z=r(Aa,"A",{href:!0});var or=o(z);M=l(or,"EntryNotFoundError"),or.forEach(a),xe=l(Aa,`
If the repository exists but the entry (e.g. the requested file) couldn\u2019t be
find.`),Aa.forEach(a),P=u(L),W=r(L,"LI",{});var La=o(W);N=r(La,"A",{href:!0});var rt=o(N);Z=l(rt,"BadRequestError"),rt.forEach(a),Ae=l(La,`
If request failed with a HTTP 400 BadRequest error.`),La.forEach(a),_e=u(L),me=r(L,"LI",{});var ot=o(me);ie=r(ot,"A",{href:!0});var nr=o(ie);q=l(nr,"HfHubHTTPError"),nr.forEach(a),be=l(ot,`
If request failed for a reason not listed above.`),ot.forEach(a),L.forEach(a),this.h()},h(){p(i,"href","/docs/huggingface_hub/main/en/package_reference/utilities#huggingface_hub.utils.RepositoryNotFoundError"),p(K,"href","/docs/huggingface_hub/main/en/package_reference/utilities#huggingface_hub.utils.GatedRepoError"),p(ne,"href","/docs/huggingface_hub/main/en/package_reference/utilities#huggingface_hub.utils.RevisionNotFoundError"),p(z,"href","/docs/huggingface_hub/main/en/package_reference/utilities#huggingface_hub.utils.EntryNotFoundError"),p(N,"href","/docs/huggingface_hub/main/en/package_reference/utilities#huggingface_hub.utils.BadRequestError"),p(ie,"href","/docs/huggingface_hub/main/en/package_reference/utilities#huggingface_hub.utils.HfHubHTTPError")},m(O,ve){c(O,f,ve),e(f,H),c(O,b,ve),c(O,d,ve),e(d,m),e(m,i),e(i,_),e(m,pe),e(m,ee),e(ee,He),e(m,G),e(m,F),e(F,te),e(m,ae),e(d,Ie),e(d,I),e(I,K),e(K,je),e(I,V),e(d,de),e(d,J),e(J,ne),e(ne,fe),e(J,se),e(d,Oe),e(d,le),e(le,z),e(z,M),e(le,xe),e(d,P),e(d,W),e(W,N),e(N,Z),e(W,Ae),e(d,_e),e(d,me),e(me,ie),e(ie,q),e(me,be)},d(O){O&&a(f),O&&a(b),O&&a(d)}}}function aE(j){let f,H,b,d,m;return d=new Q({props:{code:`    import requests
    from huggingface_hub.utils import hf_raise_for_status, HfHubHTTPError

    response = requests.post(...)
    try:
        hf_raise_for_status(response)
    except HfHubHTTPError as e:
        print(str(e)) # formatted message
        e.request_id, e.server_message # details returned by server

        # Complete the error message with additional information once it's raised
        e.append_to_message("
ate_commit\` expects the repository to exist.")
        raise`,highlighted:`    <span class="hljs-keyword">import</span> requests
    <span class="hljs-keyword">from</span> huggingface_hub.utils <span class="hljs-keyword">import</span> hf_raise_for_status, HfHubHTTPError

    response = requests.post(...)
    <span class="hljs-keyword">try</span>:
        hf_raise_for_status(response)
    <span class="hljs-keyword">except</span> HfHubHTTPError <span class="hljs-keyword">as</span> e:
        <span class="hljs-built_in">print</span>(<span class="hljs-built_in">str</span>(e)) <span class="hljs-comment"># formatted message</span>
        e.request_id, e.server_message <span class="hljs-comment"># details returned by server</span>

        <span class="hljs-comment"># Complete the error message with additional information once it&#x27;s raised</span>
        e.append_to_message(<span class="hljs-string">&quot;
ate_commit\` expects the repository to exist.&quot;</span>)
        <span class="hljs-keyword">raise</span>`}}),{c(){f=s("p"),H=n("Example:"),b=h(),v(d.$$.fragment)},l(i){f=r(i,"P",{});var _=o(f);H=l(_,"Example:"),_.forEach(a),b=u(i),E(d.$$.fragment,i)},m(i,_){c(i,f,_),e(f,H),c(i,b,_),$(d,i,_),m=!0},p:Fe,i(i){m||(y(d.$$.fragment,i),m=!0)},o(i){w(d.$$.fragment,i),m=!1},d(i){i&&a(f),i&&a(b),k(d,i)}}}function sE(j){let f,H,b,d,m;return d=new Q({props:{code:`from huggingface_hub import model_info
model_info("<non_existent_repository>")
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> model_info
<span class="hljs-meta">&gt;&gt;&gt; </span>model_info(<span class="hljs-string">&quot;&lt;non_existent_repository&gt;&quot;</span>)
(...)
huggingface_hub.utils._errors.RepositoryNotFoundError: <span class="hljs-number">401</span> Client Error. (Request ID: PvMw_VjBMjVdMz53WKIzP)

Repository Not Found <span class="hljs-keyword">for</span> url: https://huggingface.co/api/models/%3Cnon_existent_repository%3E.
Please make sure you specified the correct \`repo_id\` <span class="hljs-keyword">and</span> \`repo_type\`.
If the repo <span class="hljs-keyword">is</span> private, make sure you are authenticated.
Invalid username <span class="hljs-keyword">or</span> password.`}}),{c(){f=s("p"),H=n("Example:"),b=h(),v(d.$$.fragment)},l(i){f=r(i,"P",{});var _=o(f);H=l(_,"Example:"),_.forEach(a),b=u(i),E(d.$$.fragment,i)},m(i,_){c(i,f,_),e(f,H),c(i,b,_),$(d,i,_),m=!0},p:Fe,i(i){m||(y(d.$$.fragment,i),m=!0)},o(i){w(d.$$.fragment,i),m=!1},d(i){i&&a(f),i&&a(b),k(d,i)}}}function rE(j){let f,H,b,d,m;return d=new Q({props:{code:`from huggingface_hub import model_info
model_info("<gated_repository>")
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> model_info
<span class="hljs-meta">&gt;&gt;&gt; </span>model_info(<span class="hljs-string">&quot;&lt;gated_repository&gt;&quot;</span>)
(...)
huggingface_hub.utils._errors.GatedRepoError: <span class="hljs-number">403</span> Client Error. (Request ID: ViT1Bf7O_026LGSQuVqfa)

Cannot access gated repo <span class="hljs-keyword">for</span> url https://huggingface.co/api/models/ardent-figment/gated-model.
Access to model ardent-figment/gated-model <span class="hljs-keyword">is</span> restricted <span class="hljs-keyword">and</span> you are <span class="hljs-keyword">not</span> <span class="hljs-keyword">in</span> the authorized <span class="hljs-built_in">list</span>.
Visit https://huggingface.co/ardent-figment/gated-model to ask <span class="hljs-keyword">for</span> access.`}}),{c(){f=s("p"),H=n("Example:"),b=h(),v(d.$$.fragment)},l(i){f=r(i,"P",{});var _=o(f);H=l(_,"Example:"),_.forEach(a),b=u(i),E(d.$$.fragment,i)},m(i,_){c(i,f,_),e(f,H),c(i,b,_),$(d,i,_),m=!0},p:Fe,i(i){m||(y(d.$$.fragment,i),m=!0)},o(i){w(d.$$.fragment,i),m=!1},d(i){i&&a(f),i&&a(b),k(d,i)}}}function oE(j){let f,H,b,d,m;return d=new Q({props:{code:`from huggingface_hub import hf_hub_download
hf_hub_download('bert-base-cased', 'config.json', revision='<non-existent-revision>')
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> hf_hub_download
<span class="hljs-meta">&gt;&gt;&gt; </span>hf_hub_download(<span class="hljs-string">&#x27;bert-base-cased&#x27;</span>, <span class="hljs-string">&#x27;config.json&#x27;</span>, revision=<span class="hljs-string">&#x27;&lt;non-existent-revision&gt;&#x27;</span>)
(...)
huggingface_hub.utils._errors.RevisionNotFoundError: <span class="hljs-number">404</span> Client Error. (Request ID: Mwhe_c3Kt650GcdKEFomX)

Revision Not Found <span class="hljs-keyword">for</span> url: https://huggingface.co/bert-base-cased/resolve/%3Cnon-existent-revision%3E/config.json.`}}),{c(){f=s("p"),H=n("Example:"),b=h(),v(d.$$.fragment)},l(i){f=r(i,"P",{});var _=o(f);H=l(_,"Example:"),_.forEach(a),b=u(i),E(d.$$.fragment,i)},m(i,_){c(i,f,_),e(f,H),c(i,b,_),$(d,i,_),m=!0},p:Fe,i(i){m||(y(d.$$.fragment,i),m=!0)},o(i){w(d.$$.fragment,i),m=!1},d(i){i&&a(f),i&&a(b),k(d,i)}}}function nE(j){let f,H,b,d,m;return d=new Q({props:{code:`from huggingface_hub import hf_hub_download
hf_hub_download('bert-base-cased', '<non-existent-file>')
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> hf_hub_download
<span class="hljs-meta">&gt;&gt;&gt; </span>hf_hub_download(<span class="hljs-string">&#x27;bert-base-cased&#x27;</span>, <span class="hljs-string">&#x27;&lt;non-existent-file&gt;&#x27;</span>)
(...)
huggingface_hub.utils._errors.EntryNotFoundError: <span class="hljs-number">404</span> Client Error. (Request ID: 53pNl6M0MxsnG5Sw8JA6x)

Entry Not Found <span class="hljs-keyword">for</span> url: https://huggingface.co/bert-base-cased/resolve/main/%3Cnon-existent-file%3E.`}}),{c(){f=s("p"),H=n("Example:"),b=h(),v(d.$$.fragment)},l(i){f=r(i,"P",{});var _=o(f);H=l(_,"Example:"),_.forEach(a),b=u(i),E(d.$$.fragment,i)},m(i,_){c(i,f,_),e(f,H),c(i,b,_),$(d,i,_),m=!0},p:Fe,i(i){m||(y(d.$$.fragment,i),m=!0)},o(i){w(d.$$.fragment,i),m=!1},d(i){i&&a(f),i&&a(b),k(d,i)}}}function lE(j){let f,H,b,d,m;return d=new Q({props:{code:`resp = requests.post("hf.co/api/check", ...)
hf_raise_for_status(resp, endpoint_name="check")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>resp = requests.post(<span class="hljs-string">&quot;hf.co/api/check&quot;</span>, ...)
<span class="hljs-meta">&gt;&gt;&gt; </span>hf_raise_for_status(resp, endpoint_name=<span class="hljs-string">&quot;check&quot;</span>)
huggingface_hub.utils._errors.BadRequestError: Bad request <span class="hljs-keyword">for</span> check endpoint: {details} (Request ID: XXX)`}}),{c(){f=s("p"),H=n("Example:"),b=h(),v(d.$$.fragment)},l(i){f=r(i,"P",{});var _=o(f);H=l(_,"Example:"),_.forEach(a),b=u(i),E(d.$$.fragment,i)},m(i,_){c(i,f,_),e(f,H),c(i,b,_),$(d,i,_),m=!0},p:Fe,i(i){m||(y(d.$$.fragment,i),m=!0)},o(i){w(d.$$.fragment,i),m=!1},d(i){i&&a(f),i&&a(b),k(d,i)}}}function iE(j){let f,H,b,d,m;return d=new Q({props:{code:`from huggingface_hub import hf_hub_download
hf_hub_download('bert-base-cased', '<non-cached-file>',  local_files_only=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> hf_hub_download
<span class="hljs-meta">&gt;&gt;&gt; </span>hf_hub_download(<span class="hljs-string">&#x27;bert-base-cased&#x27;</span>, <span class="hljs-string">&#x27;&lt;non-cached-file&gt;&#x27;</span>,  local_files_only=<span class="hljs-literal">True</span>)
(...)
huggingface_hub.utils._errors.LocalEntryNotFoundError: Cannot find the requested files <span class="hljs-keyword">in</span> the disk cache <span class="hljs-keyword">and</span> outgoing traffic has been disabled. To enable hf.co look-ups <span class="hljs-keyword">and</span> downloads online, <span class="hljs-built_in">set</span> <span class="hljs-string">&#x27;local_files_only&#x27;</span> to <span class="hljs-literal">False</span>.`}}),{c(){f=s("p"),H=n("Example:"),b=h(),v(d.$$.fragment)},l(i){f=r(i,"P",{});var _=o(f);H=l(_,"Example:"),_.forEach(a),b=u(i),E(d.$$.fragment,i)},m(i,_){c(i,f,_),e(f,H),c(i,b,_),$(d,i,_),m=!0},p:Fe,i(i){m||(y(d.$$.fragment,i),m=!0)},o(i){w(d.$$.fragment,i),m=!1},d(i){i&&a(f),i&&a(b),k(d,i)}}}function hE(j){let f,H,b,d,m;return d=new Q({props:{code:`from huggingface_hub.utils import send_telemetry

send_telemetry("ping")

send_telemetry("gradio/local_link", library_name="gradio", library_version="3.22.1")

send_telemetry(
    topic="examples",
    library_name="transformers",
    library_version="4.26.0",
    user_agent={"pipeline": "text_classification", "framework": "flax"},
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub.utils <span class="hljs-keyword">import</span> send_telemetry

<span class="hljs-comment"># Send telemetry without library information</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>send_telemetry(<span class="hljs-string">&quot;ping&quot;</span>)

<span class="hljs-comment"># Send telemetry to subtopic with library information</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>send_telemetry(<span class="hljs-string">&quot;gradio/local_link&quot;</span>, library_name=<span class="hljs-string">&quot;gradio&quot;</span>, library_version=<span class="hljs-string">&quot;3.22.1&quot;</span>)

<span class="hljs-comment"># Send telemetry with additional data</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>send_telemetry(
<span class="hljs-meta">... </span>    topic=<span class="hljs-string">&quot;examples&quot;</span>,
<span class="hljs-meta">... </span>    library_name=<span class="hljs-string">&quot;transformers&quot;</span>,
<span class="hljs-meta">... </span>    library_version=<span class="hljs-string">&quot;4.26.0&quot;</span>,
<span class="hljs-meta">... </span>    user_agent={<span class="hljs-string">&quot;pipeline&quot;</span>: <span class="hljs-string">&quot;text_classification&quot;</span>, <span class="hljs-string">&quot;framework&quot;</span>: <span class="hljs-string">&quot;flax&quot;</span>},
<span class="hljs-meta">... </span>)`}}),{c(){f=s("p"),H=n("Example:"),b=h(),v(d.$$.fragment)},l(i){f=r(i,"P",{});var _=o(f);H=l(_,"Example:"),_.forEach(a),b=u(i),E(d.$$.fragment,i)},m(i,_){c(i,f,_),e(f,H),c(i,b,_),$(d,i,_),m=!0},p:Fe,i(i){m||(y(d.$$.fragment,i),m=!0)},o(i){w(d.$$.fragment,i),m=!1},d(i){i&&a(f),i&&a(b),k(d,i)}}}function uE(j){let f,H,b,d,m;return d=new Q({props:{code:`from huggingface_hub.utils import validate_hf_hub_args

@validate_hf_hub_args
def my_cool_method(repo_id: str):
    print(repo_id)

my_cool_method(repo_id="valid_repo_id")

my_cool_method("other..repo..id")

my_cool_method(repo_id="other..repo..id")

@validate_hf_hub_args
def my_cool_auth_method(token: str):
    print(token)

my_cool_auth_method(token="a token")

my_cool_auth_method(use_auth_token="a use_auth_token")

my_cool_auth_method(token="a token", use_auth_token="a use_auth_token")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub.utils <span class="hljs-keyword">import</span> validate_hf_hub_args

<span class="hljs-meta">&gt;&gt;&gt; </span>@validate_hf_hub_args
<span class="hljs-meta">... </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">my_cool_method</span>(<span class="hljs-params">repo_id: <span class="hljs-built_in">str</span></span>):
<span class="hljs-meta">... </span>    <span class="hljs-built_in">print</span>(repo_id)

<span class="hljs-meta">&gt;&gt;&gt; </span>my_cool_method(repo_id=<span class="hljs-string">&quot;valid_repo_id&quot;</span>)
valid_repo_id

<span class="hljs-meta">&gt;&gt;&gt; </span>my_cool_method(<span class="hljs-string">&quot;other..repo..id&quot;</span>)
huggingface_hub.utils._validators.HFValidationError: Cannot have -- <span class="hljs-keyword">or</span> .. <span class="hljs-keyword">in</span> repo_id: <span class="hljs-string">&#x27;other..repo..id&#x27;</span>.

<span class="hljs-meta">&gt;&gt;&gt; </span>my_cool_method(repo_id=<span class="hljs-string">&quot;other..repo..id&quot;</span>)
huggingface_hub.utils._validators.HFValidationError: Cannot have -- <span class="hljs-keyword">or</span> .. <span class="hljs-keyword">in</span> repo_id: <span class="hljs-string">&#x27;other..repo..id&#x27;</span>.

<span class="hljs-meta">&gt;&gt;&gt; </span>@validate_hf_hub_args
<span class="hljs-meta">... </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">my_cool_auth_method</span>(<span class="hljs-params">token: <span class="hljs-built_in">str</span></span>):
<span class="hljs-meta">... </span>    <span class="hljs-built_in">print</span>(token)

<span class="hljs-meta">&gt;&gt;&gt; </span>my_cool_auth_method(token=<span class="hljs-string">&quot;a token&quot;</span>)
<span class="hljs-string">&quot;a token&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>my_cool_auth_method(use_auth_token=<span class="hljs-string">&quot;a use_auth_token&quot;</span>)
<span class="hljs-string">&quot;a use_auth_token&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>my_cool_auth_method(token=<span class="hljs-string">&quot;a token&quot;</span>, use_auth_token=<span class="hljs-string">&quot;a use_auth_token&quot;</span>)
UserWarning: Both \`token\` <span class="hljs-keyword">and</span> \`use_auth_token\` are passed (...)
<span class="hljs-string">&quot;a token&quot;</span>`}}),{c(){f=s("p"),H=n("Example:"),b=h(),v(d.$$.fragment)},l(i){f=r(i,"P",{});var _=o(f);H=l(_,"Example:"),_.forEach(a),b=u(i),E(d.$$.fragment,i)},m(i,_){c(i,f,_),e(f,H),c(i,b,_),$(d,i,_),m=!0},p:Fe,i(i){m||(y(d.$$.fragment,i),m=!0)},o(i){w(d.$$.fragment,i),m=!1},d(i){i&&a(f),i&&a(b),k(d,i)}}}function gE(j){let f,H,b,d,m;return d=new Q({props:{code:`from huggingface_hub.utils import validate_repo_id
validate_repo_id(repo_id="valid_repo_id")
validate_repo_id(repo_id="other..repo..id")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub.utils <span class="hljs-keyword">import</span> validate_repo_id
<span class="hljs-meta">&gt;&gt;&gt; </span>validate_repo_id(repo_id=<span class="hljs-string">&quot;valid_repo_id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>validate_repo_id(repo_id=<span class="hljs-string">&quot;other..repo..id&quot;</span>)
huggingface_hub.utils._validators.HFValidationError: Cannot have -- <span class="hljs-keyword">or</span> .. <span class="hljs-keyword">in</span> repo_id: <span class="hljs-string">&#x27;other..repo..id&#x27;</span>.`}}),{c(){f=s("p"),H=n("Example:"),b=h(),v(d.$$.fragment)},l(i){f=r(i,"P",{});var _=o(f);H=l(_,"Example:"),_.forEach(a),b=u(i),E(d.$$.fragment,i)},m(i,_){c(i,f,_),e(f,H),c(i,b,_),$(d,i,_),m=!0},p:Fe,i(i){m||(y(d.$$.fragment,i),m=!0)},o(i){w(d.$$.fragment,i),m=!1},d(i){i&&a(f),i&&a(b),k(d,i)}}}function cE(j){let f,H,b,d,m,i,_,pe,ee,He,G,F,te,ae,Ie,I,K,je,V,de,J,ne,fe,se,Oe,le,z,M,xe,P,W,N,Z,Ae,_e,me,ie,q,be,O,ve,L,he,Te,Xt,sr,Oa,rr,Je,Yt,Aa,or,La,rt,ot,nr,Rh,Ll,Le,Sa,Ch,Rr,Fh,Ih,Kt,Sl,nt,Va,Oh,Cr,Ah,Vl,lt,Ba,Lh,Ua,Sh,Fr,Vh,Bh,Bl,it,Ga,Uh,za,Gh,Ir,zh,Mh,Ul,ht,Ma,Wh,Wa,Xh,Or,Yh,Kh,Gl,ut,Xa,Jh,Ya,Zh,Ar,Qh,eu,zl,gt,Ka,tu,Lr,au,Ml,ct,Ja,su,Sr,ru,Wl,pt,Jt,Vr,Za,ou,Br,nu,Xl,Ze,lu,Ur,iu,hu,Gr,uu,gu,Yl,Se,Qa,cu,zr,pu,du,Zt,Kl,dt,Qt,Mr,es,fu,Wr,_u,Jl,Ve,Xr,mu,bu,Yr,vu,Eu,Kr,$u,yu,Zl,ft,ea,Jr,ts,wu,Zr,ku,Ql,Ee,lr,Hu,ju,Qr,xu,Tu,eo,Pu,Nu,to,qu,Du,ei,as,ti,re,ss,Ru,_t,Cu,ao,Fu,Iu,so,Ou,Au,Lu,ro,Su,Vu,ta,Bu,aa,ai,mt,sa,oo,rs,Uu,no,Gu,si,ra,zu,lo,Mu,Wu,ri,bt,oa,io,os,Xu,ho,Yu,oi,ns,uo,Ku,Ju,ni,S,ls,Zu,go,Qu,eg,is,tg,co,ag,sg,rg,po,og,ng,vt,fo,lg,ig,_o,hg,ug,mo,gg,cg,na,pg,la,hs,dg,us,fg,bo,_g,mg,li,Et,ia,vo,gs,bg,Eo,vg,ii,Be,cs,Eg,$o,$g,yg,ha,hi,$t,ua,yo,ps,wg,wo,kg,ui,$e,ds,Hg,ko,jg,xg,fs,Tg,Ho,Pg,Ng,qg,ga,gi,yt,ca,jo,_s,Dg,xo,Rg,ci,Ue,ms,Cg,To,Fg,Ig,pa,pi,wt,da,Po,bs,Og,No,Ag,di,Ge,vs,Lg,qo,Sg,Vg,fa,fi,kt,_a,Do,Es,Bg,Ro,Ug,_i,ze,$s,Gg,ys,zg,Co,Mg,Wg,Xg,ma,mi,Ht,ba,Fo,ws,Yg,Io,Kg,bi,ye,ks,Jg,Oo,Zg,Qg,we,ec,Ao,tc,ac,Lo,sc,rc,So,oc,nc,Vo,lc,ic,hc,va,vi,jt,Ea,Bo,Hs,uc,Uo,gc,Ei,xt,Go,cc,pc,zo,dc,fc,$i,$a,_c,Mo,mc,bc,yi,oe,js,vc,Wo,Ec,$c,Tt,yc,Xo,wc,kc,Yo,Hc,jc,xc,Ko,Tc,Pc,ya,wi,Pt,wa,Jo,xs,Nc,Zo,qc,ki,Nt,Qo,Dc,Rc,Ts,Cc,Fc,Hi,qt,ka,en,Ps,Ic,tn,Oc,ji,Dt,ir,Ac,Lc,an,Sc,Vc,xi,Ha,Bc,hr,Uc,Gc,Ti,ur,zc,Pi,Ns,Ni,Rt,ja,sn,qs,Mc,rn,Wc,qi,X,Ds,Xc,Rs,Yc,on,Kc,Jc,Zc,nn,Qc,ep,ln,tp,ap,Cs,Pe,gr,sp,rp,hn,op,np,un,lp,ip,gn,hp,up,gp,ue,cr,cp,pp,cn,dp,fp,pn,_p,mp,dn,bp,vp,fn,Ep,$p,yp,xa,Di,Ct,Ta,_n,Fs,wp,mn,kp,Ri,Me,Is,Hp,Os,jp,bn,xp,Tp,Pp,As,Np,Ls,vn,qp,Dp,Ci,Ft,Pa,En,Ss,Rp,$n,Cp,Fi,pr,Fp,Ii,It,Na,yn,Vs,Ip,wn,Op,Oi,x,Bs,Ap,Us,Lp,kn,Sp,Vp,Bp,Ot,Up,Hn,Gp,zp,jn,Mp,Wp,Xp,xn,Yp,Kp,We,Tn,Jp,Zp,Pn,Qp,ed,Nn,td,ad,qn,sd,rd,Ne,od,Dn,nd,ld,Rn,id,hd,Cn,ud,gd,Fn,cd,pd,qe,dd,In,fd,_d,On,md,bd,An,vd,Ed,Ln,$d,yd,qa,wd,Gs,kd,zs,Hd,jd,xd,Ms,Sn,Ws,Td,Pd,Vn,Xs,Nd,Ai,At,Da,Bn,Ys,qd,Un,Dd,Li,dr,Rd,Si,Y,Ks,Cd,Lt,Fd,Gn,Id,Od,zn,Ad,Ld,Sd,St,Vd,Mn,Bd,Ud,Wn,Gd,zd,Md,ge,Xn,D,Wd,Yn,Xd,Yd,Kn,Kd,Jd,Jn,Zd,Qd,Zn,ef,tf,Qn,af,sf,el,rf,of,tl,nf,lf,al,hf,uf,gf,sl,R,cf,rl,pf,df,ol,ff,_f,nl,mf,bf,ll,vf,Ef,il,$f,yf,hl,wf,kf,ul,Hf,jf,gl,xf,Tf,Pf,cl,Vt,Nf,pl,qf,Df,dl,Rf,Cf,Ff,fl,ke,If,_l,Of,Af,ml,Lf,Sf,bl,Vf,Bf,vl,Uf,Gf,zf,El,Xe,Mf,$l,Wf,Xf,yl,Yf,Kf,wl,Jf,Zf,Qf,kl,e_,t_,Bt,fr,Js,a_,s_,r_,Hl,Zs,o_,n_,_r,l_,Qs,i_,Vi;return i=new C({}),ae=new C({}),M=new Q({props:{code:"from huggingface_hub import logging",highlighted:'<span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> logging'}}),Z=new Q({props:{code:`from huggingface_hub import logging

logging.set_verbosity_error()
logging.set_verbosity_warning()
logging.set_verbosity_info()
logging.set_verbosity_debug()

logging.set_verbosity(...)`,highlighted:`<span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> logging

logging.set_verbosity_error()
logging.set_verbosity_warning()
logging.set_verbosity_info()
logging.set_verbosity_debug()

logging.set_verbosity(...)`}}),Sa=new T({props:{name:"huggingface_hub.utils.logging.get_verbosity",anchor:"huggingface_hub.utils.logging.get_verbosity",parameters:[],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/logging.py#L105",returnDescription:`
<p>Logging level, e.g., <code>huggingface_hub.logging.DEBUG</code> and
<code>huggingface_hub.logging.INFO</code>.</p>
`}}),Kt=new Mv({props:{$$slots:{default:[Zv]},$$scope:{ctx:j}}}),Va=new T({props:{name:"huggingface_hub.utils.logging.set_verbosity",anchor:"huggingface_hub.utils.logging.set_verbosity",parameters:[{name:"verbosity",val:": int"}],parametersDescription:[{anchor:"huggingface_hub.utils.logging.set_verbosity.verbosity",description:`<strong>verbosity</strong> (<code>int</code>) &#x2014;
Logging level, e.g., <code>huggingface_hub.logging.DEBUG</code> and
<code>huggingface_hub.logging.INFO</code>.`,name:"verbosity"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/logging.py#L127"}}),Ba=new T({props:{name:"huggingface_hub.utils.logging.set_verbosity_info",anchor:"huggingface_hub.utils.logging.set_verbosity_info",parameters:[],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/logging.py#L139"}}),Ga=new T({props:{name:"huggingface_hub.utils.logging.set_verbosity_debug",anchor:"huggingface_hub.utils.logging.set_verbosity_debug",parameters:[],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/logging.py#L153"}}),Ma=new T({props:{name:"huggingface_hub.utils.logging.set_verbosity_warning",anchor:"huggingface_hub.utils.logging.set_verbosity_warning",parameters:[],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/logging.py#L146"}}),Xa=new T({props:{name:"huggingface_hub.utils.logging.set_verbosity_error",anchor:"huggingface_hub.utils.logging.set_verbosity_error",parameters:[],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/logging.py#L160"}}),Ka=new T({props:{name:"huggingface_hub.utils.logging.disable_propagation",anchor:"huggingface_hub.utils.logging.disable_propagation",parameters:[],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/logging.py#L167"}}),Ja=new T({props:{name:"huggingface_hub.utils.logging.enable_propagation",anchor:"huggingface_hub.utils.logging.enable_propagation",parameters:[],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/logging.py#L175"}}),Za=new C({}),Qa=new T({props:{name:"huggingface_hub.utils.logging.get_logger",anchor:"huggingface_hub.utils.logging.get_logger",parameters:[{name:"name",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"huggingface_hub.utils.logging.get_logger.name",description:`<strong>name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The name of the logger to get, usually the filename`,name:"name"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/logging.py#L80"}}),Zt=new Ce({props:{anchor:"huggingface_hub.utils.logging.get_logger.example",$$slots:{default:[Qv]},$$scope:{ctx:j}}}),es=new C({}),ts=new C({}),as=new Q({props:{code:`import requests
from huggingface_hub.utils import hf_raise_for_status, HfHubHTTPError

response = requests.post(...)
try:
    hf_raise_for_status(response)
except HfHubHTTPError as e:
    print(str(e)) # formatted message
    e.request_id, e.server_message # details returned by server

    # Complete the error message with additional information once it's raised
    e.append_to_message("\\n\`create_commit\` expects the repository to exist.")
    raise`,highlighted:`<span class="hljs-keyword">import</span> requests
<span class="hljs-keyword">from</span> huggingface_hub.utils <span class="hljs-keyword">import</span> hf_raise_for_status, HfHubHTTPError

response = requests.post(...)
<span class="hljs-keyword">try</span>:
    hf_raise_for_status(response)
<span class="hljs-keyword">except</span> HfHubHTTPError <span class="hljs-keyword">as</span> e:
    <span class="hljs-built_in">print</span>(<span class="hljs-built_in">str</span>(e)) <span class="hljs-comment"># formatted message</span>
    e.request_id, e.server_message <span class="hljs-comment"># details returned by server</span>

    <span class="hljs-comment"># Complete the error message with additional information once it&#x27;s raised</span>
    e.append_to_message(<span class="hljs-string">&quot;\\n\`create_commit\` expects the repository to exist.&quot;</span>)
    <span class="hljs-keyword">raise</span>`}}),ss=new T({props:{name:"huggingface_hub.utils.hf_raise_for_status",anchor:"huggingface_hub.utils.hf_raise_for_status",parameters:[{name:"response",val:": Response"},{name:"endpoint_name",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"huggingface_hub.utils.hf_raise_for_status.response",description:`<strong>response</strong> (<code>Response</code>) &#x2014;
Response from the server.`,name:"response"},{anchor:"huggingface_hub.utils.hf_raise_for_status.endpoint_name",description:`<strong>endpoint_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of the endpoint that has been called. If provided, the error message
will be more complete.`,name:"endpoint_name"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/_errors.py#L203"}}),ta=new Ce({props:{anchor:"huggingface_hub.utils.hf_raise_for_status.example",$$slots:{default:[eE]},$$scope:{ctx:j}}}),aa=new Mv({props:{warning:!0,$$slots:{default:[tE]},$$scope:{ctx:j}}}),rs=new C({}),os=new C({}),ls=new T({props:{name:"class huggingface_hub.utils.HfHubHTTPError",anchor:"huggingface_hub.utils.HfHubHTTPError",parameters:[{name:"message",val:": str"},{name:"response",val:": typing.Optional[requests.models.Response] = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/_errors.py#L8"}}),na=new Ce({props:{anchor:"huggingface_hub.utils.HfHubHTTPError.example",$$slots:{default:[aE]},$$scope:{ctx:j}}}),hs=new T({props:{name:"append_to_message",anchor:"huggingface_hub.utils.HfHubHTTPError.append_to_message",parameters:[{name:"additional_message",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/_errors.py#L82"}}),gs=new C({}),cs=new T({props:{name:"class huggingface_hub.utils.RepositoryNotFoundError",anchor:"huggingface_hub.utils.RepositoryNotFoundError",parameters:[{name:"message",val:": str"},{name:"response",val:": typing.Optional[requests.models.Response] = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/_errors.py#L87"}}),ha=new Ce({props:{anchor:"huggingface_hub.utils.RepositoryNotFoundError.example",$$slots:{default:[sE]},$$scope:{ctx:j}}}),ps=new C({}),ds=new T({props:{name:"class huggingface_hub.utils.GatedRepoError",anchor:"huggingface_hub.utils.GatedRepoError",parameters:[{name:"message",val:": str"},{name:"response",val:": typing.Optional[requests.models.Response] = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/_errors.py#L108"}}),ga=new Ce({props:{anchor:"huggingface_hub.utils.GatedRepoError.example",$$slots:{default:[rE]},$$scope:{ctx:j}}}),_s=new C({}),ms=new T({props:{name:"class huggingface_hub.utils.RevisionNotFoundError",anchor:"huggingface_hub.utils.RevisionNotFoundError",parameters:[{name:"message",val:": str"},{name:"response",val:": typing.Optional[requests.models.Response] = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/_errors.py#L130"}}),pa=new Ce({props:{anchor:"huggingface_hub.utils.RevisionNotFoundError.example",$$slots:{default:[oE]},$$scope:{ctx:j}}}),bs=new C({}),vs=new T({props:{name:"class huggingface_hub.utils.EntryNotFoundError",anchor:"huggingface_hub.utils.EntryNotFoundError",parameters:[{name:"message",val:": str"},{name:"response",val:": typing.Optional[requests.models.Response] = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/_errors.py#L148"}}),fa=new Ce({props:{anchor:"huggingface_hub.utils.EntryNotFoundError.example",$$slots:{default:[nE]},$$scope:{ctx:j}}}),Es=new C({}),$s=new T({props:{name:"class huggingface_hub.utils.BadRequestError",anchor:"huggingface_hub.utils.BadRequestError",parameters:[{name:"message",val:": str"},{name:"response",val:": typing.Optional[requests.models.Response] = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/_errors.py#L189"}}),ma=new Ce({props:{anchor:"huggingface_hub.utils.BadRequestError.example",$$slots:{default:[lE]},$$scope:{ctx:j}}}),ws=new C({}),ks=new T({props:{name:"class huggingface_hub.utils.LocalEntryNotFoundError",anchor:"huggingface_hub.utils.LocalEntryNotFoundError",parameters:[{name:"message",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/_errors.py#L166"}}),va=new Ce({props:{anchor:"huggingface_hub.utils.LocalEntryNotFoundError.example",$$slots:{default:[iE]},$$scope:{ctx:j}}}),Hs=new C({}),js=new T({props:{name:"huggingface_hub.utils.send_telemetry",anchor:"huggingface_hub.utils.send_telemetry",parameters:[{name:"topic",val:": str"},{name:"library_name",val:": typing.Optional[str] = None"},{name:"library_version",val:": typing.Optional[str] = None"},{name:"user_agent",val:": typing.Union[typing.Dict, str, NoneType] = None"}],parametersDescription:[{anchor:"huggingface_hub.utils.send_telemetry.topic",description:`<strong>topic</strong> (<code>str</code>) &#x2014;
Name of the topic that is monitored. The topic is directly used to build the URL. If you want to monitor
subtopics, just use &#x201D;/&#x201D; separation. Examples: &#x201C;gradio&#x201D;, &#x201C;transformers/examples&#x201D;,&#x2026;`,name:"topic"},{anchor:"huggingface_hub.utils.send_telemetry.library_name",description:`<strong>library_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The name of the library that is making the HTTP request. Will be added to the user-agent header.`,name:"library_name"},{anchor:"huggingface_hub.utils.send_telemetry.library_version",description:`<strong>library_version</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The version of the library that is making the HTTP request. Will be added to the user-agent header.`,name:"library_version"},{anchor:"huggingface_hub.utils.send_telemetry.user_agent",description:`<strong>user_agent</strong> (<code>str</code>, <code>dict</code>, <em>optional</em>) &#x2014;
The user agent info in the form of a dictionary or a single string. It will be completed with information about the installed packages.`,name:"user_agent"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/_telemetry.py#L22"}}),ya=new Ce({props:{anchor:"huggingface_hub.utils.send_telemetry.example",$$slots:{default:[hE]},$$scope:{ctx:j}}}),xs=new C({}),Ps=new C({}),Ns=new Q({props:{code:`from huggingface_hub.utils import validate_hf_hub_args

@validate_hf_hub_args
def my_cool_method(repo_id: str):
    print(repo_id)

my_cool_method(repo_id="valid_repo_id")

my_cool_method("other..repo..id")

my_cool_method(repo_id="other..repo..id")

@validate_hf_hub_args
def my_cool_auth_method(token: str):
    print(token)

my_cool_auth_method(token="a token")

my_cool_auth_method(use_auth_token="a use_auth_token")

my_cool_auth_method(token="a token", use_auth_token="a use_auth_token")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub.utils <span class="hljs-keyword">import</span> validate_hf_hub_args

<span class="hljs-meta">&gt;&gt;&gt; </span>@validate_hf_hub_args
<span class="hljs-meta">... </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">my_cool_method</span>(<span class="hljs-params">repo_id: <span class="hljs-built_in">str</span></span>):
<span class="hljs-meta">... </span>    <span class="hljs-built_in">print</span>(repo_id)

<span class="hljs-meta">&gt;&gt;&gt; </span>my_cool_method(repo_id=<span class="hljs-string">&quot;valid_repo_id&quot;</span>)
valid_repo_id

<span class="hljs-meta">&gt;&gt;&gt; </span>my_cool_method(<span class="hljs-string">&quot;other..repo..id&quot;</span>)
huggingface_hub.utils._validators.HFValidationError: Cannot have -- <span class="hljs-keyword">or</span> .. <span class="hljs-keyword">in</span> repo_id: <span class="hljs-string">&#x27;other..repo..id&#x27;</span>.

<span class="hljs-meta">&gt;&gt;&gt; </span>my_cool_method(repo_id=<span class="hljs-string">&quot;other..repo..id&quot;</span>)
huggingface_hub.utils._validators.HFValidationError: Cannot have -- <span class="hljs-keyword">or</span> .. <span class="hljs-keyword">in</span> repo_id: <span class="hljs-string">&#x27;other..repo..id&#x27;</span>.

<span class="hljs-meta">&gt;&gt;&gt; </span>@validate_hf_hub_args
<span class="hljs-meta">... </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">my_cool_auth_method</span>(<span class="hljs-params">token: <span class="hljs-built_in">str</span></span>):
<span class="hljs-meta">... </span>    <span class="hljs-built_in">print</span>(token)

<span class="hljs-meta">&gt;&gt;&gt; </span>my_cool_auth_method(token=<span class="hljs-string">&quot;a token&quot;</span>)
<span class="hljs-string">&quot;a token&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>my_cool_auth_method(use_auth_token=<span class="hljs-string">&quot;a use_auth_token&quot;</span>)
<span class="hljs-string">&quot;a use_auth_token&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>my_cool_auth_method(token=<span class="hljs-string">&quot;a token&quot;</span>, use_auth_token=<span class="hljs-string">&quot;a use_auth_token&quot;</span>)
UserWarning: Both \`token\` <span class="hljs-keyword">and</span> \`use_auth_token\` are passed (...). \`use_auth_token\` value will be ignored.
<span class="hljs-string">&quot;a token&quot;</span>`}}),qs=new C({}),Ds=new T({props:{name:"huggingface_hub.utils.validate_hf_hub_args",anchor:"huggingface_hub.utils.validate_hf_hub_args",parameters:[{name:"fn",val:": CallableT"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/_validators.py#L48",raiseDescription:`
<ul>
<li><a
  href="/docs/huggingface_hub/main/en/package_reference/utilities#huggingface_hub.utils.HFValidationError"
>HFValidationError</a> \u2014
If an input is not valid.</li>
</ul>
`,raiseType:`
<p><a
  href="/docs/huggingface_hub/main/en/package_reference/utilities#huggingface_hub.utils.HFValidationError"
>HFValidationError</a></p>
`}}),xa=new Ce({props:{anchor:"huggingface_hub.utils.validate_hf_hub_args.example",$$slots:{default:[uE]},$$scope:{ctx:j}}}),Fs=new C({}),Is=new T({props:{name:"class huggingface_hub.utils.HFValidationError",anchor:"huggingface_hub.utils.HFValidationError",parameters:"",source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/_validators.py#L37"}}),Ss=new C({}),Vs=new C({}),Bs=new T({props:{name:"huggingface_hub.utils.validate_repo_id",anchor:"huggingface_hub.utils.validate_repo_id",parameters:[{name:"repo_id",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/_validators.py#L125"}}),qa=new Ce({props:{anchor:"huggingface_hub.utils.validate_repo_id.example",$$slots:{default:[gE]},$$scope:{ctx:j}}}),Ys=new C({}),Ks=new T({props:{name:"huggingface_hub.utils.smoothly_deprecate_use_auth_token",anchor:"huggingface_hub.utils.smoothly_deprecate_use_auth_token",parameters:[{name:"fn_name",val:": str"},{name:"has_token",val:": bool"},{name:"kwargs",val:": typing.Dict[str, typing.Any]"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/utils/_validators.py#L179"}}),{c(){f=s("meta"),H=h(),b=s("h1"),d=s("a"),m=s("span"),v(i.$$.fragment),_=h(),pe=s("span"),ee=n("Utilities"),He=h(),G=s("h2"),F=s("a"),te=s("span"),v(ae.$$.fragment),Ie=h(),I=s("span"),K=n("Configure logging"),je=h(),V=s("p"),de=n("The "),J=s("code"),ne=n("huggingface_hub"),fe=n(" package exposes a "),se=s("code"),Oe=n("logging"),le=n(` utility to control the logging level of the package itself.
You can import it as such:`),z=h(),v(M.$$.fragment),xe=h(),P=s("p"),W=n("Then, you may define the verbosity in order to update the amount of logs you\u2019ll see:"),N=h(),v(Z.$$.fragment),Ae=h(),_e=s("p"),me=n("The levels should be understood as follows:"),ie=h(),q=s("ul"),be=s("li"),O=s("code"),ve=n("error"),L=n(": only show critical logs about usage which may result in an error or unexpected behavior."),he=h(),Te=s("li"),Xt=s("code"),sr=n("warning"),Oa=n(`: show logs that aren\u2019t critical but usage may result in unintended behavior.
Additionally, important informative logs may be shown.`),rr=h(),Je=s("li"),Yt=s("code"),Aa=n("info"),or=n(`: show most logs, including some verbose logging regarding what is happening under the hood.
If something is behaving in an unexpected manner, we recommend switching the verbosity level to this in order
to get more information.`),La=h(),rt=s("li"),ot=s("code"),nr=n("debug"),Rh=n(`: show all logs, including some internal logs which may be used to track exactly what\u2019s happening
under the hood.`),Ll=h(),Le=s("div"),v(Sa.$$.fragment),Ch=h(),Rr=s("p"),Fh=n("Return the current level for the HuggingFace Hub\u2019s root logger."),Ih=h(),v(Kt.$$.fragment),Sl=h(),nt=s("div"),v(Va.$$.fragment),Oh=h(),Cr=s("p"),Ah=n("Sets the level for the HuggingFace Hub\u2019s root logger."),Vl=h(),lt=s("div"),v(Ba.$$.fragment),Lh=h(),Ua=s("p"),Sh=n("Sets the verbosity to "),Fr=s("code"),Vh=n("logging.INFO"),Bh=n("."),Bl=h(),it=s("div"),v(Ga.$$.fragment),Uh=h(),za=s("p"),Gh=n("Sets the verbosity to "),Ir=s("code"),zh=n("logging.DEBUG"),Mh=n("."),Ul=h(),ht=s("div"),v(Ma.$$.fragment),Wh=h(),Wa=s("p"),Xh=n("Sets the verbosity to "),Or=s("code"),Yh=n("logging.WARNING"),Kh=n("."),Gl=h(),ut=s("div"),v(Xa.$$.fragment),Jh=h(),Ya=s("p"),Zh=n("Sets the verbosity to "),Ar=s("code"),Qh=n("logging.ERROR"),eu=n("."),zl=h(),gt=s("div"),v(Ka.$$.fragment),tu=h(),Lr=s("p"),au=n(`Disable propagation of the library log outputs. Note that log propagation is
disabled by default.`),Ml=h(),ct=s("div"),v(Ja.$$.fragment),su=h(),Sr=s("p"),ru=n(`Enable propagation of the library log outputs. Please disable the
HuggingFace Hub\u2019s default handler to prevent double logging if the root
logger has been configured.`),Wl=h(),pt=s("h3"),Jt=s("a"),Vr=s("span"),v(Za.$$.fragment),ou=h(),Br=s("span"),nu=n("Repo-specific helper methods"),Xl=h(),Ze=s("p"),lu=n("The methods exposed below are relevant when modifying modules from the "),Ur=s("code"),iu=n("huggingface_hub"),hu=n(` library itself.
Using these shouldn\u2019t be necessary if you use `),Gr=s("code"),uu=n("huggingface_hub"),gu=n(" and you don\u2019t modify them."),Yl=h(),Se=s("div"),v(Qa.$$.fragment),cu=h(),zr=s("p"),pu=n(`Returns a logger with the specified name. This function is not supposed
to be directly accessed by library users.`),du=h(),v(Zt.$$.fragment),Kl=h(),dt=s("h2"),Qt=s("a"),Mr=s("span"),v(es.$$.fragment),fu=h(),Wr=s("span"),_u=n("Handle HTTP errors"),Jl=h(),Ve=s("p"),Xr=s("code"),mu=n("huggingface_hub"),bu=n(" defines its own HTTP errors to refine the "),Yr=s("code"),vu=n("HTTPError"),Eu=n(` raised by
`),Kr=s("code"),$u=n("requests"),yu=n(" with additional information sent back by the server."),Zl=h(),ft=s("h3"),ea=s("a"),Jr=s("span"),v(ts.$$.fragment),wu=h(),Zr=s("span"),ku=n("Raise for status"),Ql=h(),Ee=s("p"),lr=s("a"),Hu=n("hf_raise_for_status()"),ju=n(` is meant to be the central method to \u201Craise for status\u201D from any
request made to the Hub. It wraps the base `),Qr=s("code"),xu=n("requests.raise_for_status"),Tu=n(` to provide
additional information. Any `),eo=s("code"),Pu=n("HTTPError"),Nu=n(" thrown is converted into a "),to=s("code"),qu=n("HfHubHTTPError"),Du=n("."),ei=h(),v(as.$$.fragment),ti=h(),re=s("div"),v(ss.$$.fragment),Ru=h(),_t=s("p"),Cu=n("Internal version of "),ao=s("code"),Fu=n("response.raise_for_status()"),Iu=n(` that will refine a
potential HTTPError. Raised exception will be an instance of `),so=s("code"),Ou=n("HfHubHTTPError"),Au=n("."),Lu=h(),ro=s("p"),Su=n(`This helper is meant to be the unique method to raise_for_status when making a call
to the Hugging Face Hub.`),Vu=h(),v(ta.$$.fragment),Bu=h(),v(aa.$$.fragment),ai=h(),mt=s("h3"),sa=s("a"),oo=s("span"),v(rs.$$.fragment),Uu=h(),no=s("span"),Gu=n("HTTP errors"),si=h(),ra=s("p"),zu=n("Here is a list of HTTP errors thrown in "),lo=s("code"),Mu=n("huggingface_hub"),Wu=n("."),ri=h(),bt=s("h4"),oa=s("a"),io=s("span"),v(os.$$.fragment),Xu=h(),ho=s("span"),Yu=n("HfHubHTTPError"),oi=h(),ns=s("p"),uo=s("code"),Ku=n("HfHubHTTPError"),Ju=n(` is the parent class for any HF Hub HTTP error. It takes care of parsing
the server response and format the error message to provide as much information to the
user as possible.`),ni=h(),S=s("div"),v(ls.$$.fragment),Zu=h(),go=s("p"),Qu=n("HTTPError to inherit from for any custom HTTP Error raised in HF Hub."),eg=h(),is=s("p"),tg=n("Any HTTPError is converted at least into a "),co=s("code"),ag=n("HfHubHTTPError"),sg=n(`. If some information is
sent back by the server, it will be added to the error message.`),rg=h(),po=s("p"),og=n("Added details:"),ng=h(),vt=s("ul"),fo=s("li"),lg=n("Request id from \u201CX-Request-Id\u201D header if exists."),ig=h(),_o=s("li"),hg=n("Server error message from the header \u201CX-Error-Message\u201D."),ug=h(),mo=s("li"),gg=n("Server error message if we can found one in the response body."),cg=h(),v(na.$$.fragment),pg=h(),la=s("div"),v(hs.$$.fragment),dg=h(),us=s("p"),fg=n("Append additional information to the "),bo=s("code"),_g=n("HfHubHTTPError"),mg=n(" initial message."),li=h(),Et=s("h4"),ia=s("a"),vo=s("span"),v(gs.$$.fragment),bg=h(),Eo=s("span"),vg=n("RepositoryNotFoundError"),ii=h(),Be=s("div"),v(cs.$$.fragment),Eg=h(),$o=s("p"),$g=n(`Raised when trying to access a hf.co URL with an invalid repository name, or
with a private repo name the user does not have access to.`),yg=h(),v(ha.$$.fragment),hi=h(),$t=s("h4"),ua=s("a"),yo=s("span"),v(ps.$$.fragment),wg=h(),wo=s("span"),kg=n("GatedRepoError"),ui=h(),$e=s("div"),v(ds.$$.fragment),Hg=h(),ko=s("p"),jg=n(`Raised when trying to access a gated repository for which the user is not on the
authorized list.`),xg=h(),fs=s("p"),Tg=n("Note: derives from "),Ho=s("code"),Pg=n("RepositoryNotFoundError"),Ng=n(" to ensure backward compatibility."),qg=h(),v(ga.$$.fragment),gi=h(),yt=s("h4"),ca=s("a"),jo=s("span"),v(_s.$$.fragment),Dg=h(),xo=s("span"),Rg=n("RevisionNotFoundError"),ci=h(),Ue=s("div"),v(ms.$$.fragment),Cg=h(),To=s("p"),Fg=n(`Raised when trying to access a hf.co URL with a valid repository but an invalid
revision.`),Ig=h(),v(pa.$$.fragment),pi=h(),wt=s("h4"),da=s("a"),Po=s("span"),v(bs.$$.fragment),Og=h(),No=s("span"),Ag=n("EntryNotFoundError"),di=h(),Ge=s("div"),v(vs.$$.fragment),Lg=h(),qo=s("p"),Sg=n(`Raised when trying to access a hf.co URL with a valid repository and revision
but an invalid filename.`),Vg=h(),v(fa.$$.fragment),fi=h(),kt=s("h4"),_a=s("a"),Do=s("span"),v(Es.$$.fragment),Bg=h(),Ro=s("span"),Ug=n("BadRequestError"),_i=h(),ze=s("div"),v($s.$$.fragment),Gg=h(),ys=s("p"),zg=n("Raised by "),Co=s("code"),Mg=n("hf_raise_for_status"),Wg=n(" when the server returns a HTTP 400 error."),Xg=h(),v(ma.$$.fragment),mi=h(),Ht=s("h4"),ba=s("a"),Fo=s("span"),v(ws.$$.fragment),Yg=h(),Io=s("span"),Kg=n("LocalEntryNotFoundError"),bi=h(),ye=s("div"),v(ks.$$.fragment),Jg=h(),Oo=s("p"),Zg=n(`Raised when trying to access a file that is not on the disk when network is
disabled or unavailable (connection issue). The entry may exist on the Hub.`),Qg=h(),we=s("p"),ec=n("Note: "),Ao=s("code"),tc=n("ValueError"),ac=n(` type is to ensure backward compatibility.
Note: `),Lo=s("code"),sc=n("LocalEntryNotFoundError"),rc=n(" derives from "),So=s("code"),oc=n("HTTPError"),nc=n(" because of "),Vo=s("code"),lc=n("EntryNotFoundError"),ic=n(`
even when it is not a network issue.`),hc=h(),v(va.$$.fragment),vi=h(),jt=s("h2"),Ea=s("a"),Bo=s("span"),v(Hs.$$.fragment),uc=h(),Uo=s("span"),gc=n("Telemetry"),Ei=h(),xt=s("p"),Go=s("code"),cc=n("huggingface_hub"),pc=n(` includes an helper to send telemetry data. This information helps us debug issues and prioritize new features.
Users can disable telemetry collection at any time by setting the `),zo=s("code"),dc=n("HF_HUB_DISABLE_TELEMETRY=1"),fc=n(` environment variable.
Telemetry is also disabled in offline mode (i.e. when setting HF_HUB_OFFLINE=1).`),$i=h(),$a=s("p"),_c=n("If you are maintainer of a third-party library, sending telemetry data is as simple as making a call to "),Mo=s("code"),mc=n("send_telemetry"),bc=n(`.
Data is sent in a separate thread to reduce as much as possible the impact for users.`),yi=h(),oe=s("div"),v(js.$$.fragment),vc=h(),Wo=s("p"),Ec=n("Sends telemetry that helps tracking usage of different HF libraries."),$c=h(),Tt=s("p"),yc=n(`This usage data helps us debug issues and prioritize new features. However, we understand that not everyone wants
to share additional information, and we respect your privacy. You can disable telemetry collection by setting the
`),Xo=s("code"),wc=n("HF_HUB_DISABLE_TELEMETRY=1"),kc=n(` as environment variable. Telemetry is also disabled in offline mode (i.e. when setting
`),Yo=s("code"),Hc=n("HF_HUB_OFFLINE=1"),jc=n(")."),xc=h(),Ko=s("p"),Tc=n("Telemetry collection is run in a separate thread to minimize impact for the user."),Pc=h(),v(ya.$$.fragment),wi=h(),Pt=s("h2"),wa=s("a"),Jo=s("span"),v(xs.$$.fragment),Nc=h(),Zo=s("span"),qc=n("Validators"),ki=h(),Nt=s("p"),Qo=s("code"),Dc=n("huggingface_hub"),Rc=n(` includes custom validators to validate method arguments automatically.
Validation is inspired by the work done in `),Ts=s("a"),Cc=n("Pydantic"),Fc=n(`
to validate type hints but with more limited features.`),Hi=h(),qt=s("h3"),ka=s("a"),en=s("span"),v(Ps.$$.fragment),Ic=h(),tn=s("span"),Oc=n("Generic decorator"),ji=h(),Dt=s("p"),ir=s("a"),Ac=n("validate_hf_hub_args()"),Lc=n(` is a generic decorator to encapsulate
methods that have arguments following `),an=s("code"),Sc=n("huggingface_hub"),Vc=n(`\u2019s naming. By default, all
arguments that has a validator implemented will be validated.`),xi=h(),Ha=s("p"),Bc=n("If an input is not valid, a "),hr=s("a"),Uc=n("HFValidationError"),Gc=n(` is thrown. Only
the first non-valid value throws an error and stops the validation process.`),Ti=h(),ur=s("p"),zc=n("Usage:"),Pi=h(),v(Ns.$$.fragment),Ni=h(),Rt=s("h4"),ja=s("a"),sn=s("span"),v(qs.$$.fragment),Mc=h(),rn=s("span"),Wc=n("validate_hf_hub_args"),qi=h(),X=s("div"),v(Ds.$$.fragment),Xc=h(),Rs=s("p"),Yc=n("Validate values received as argument for any public method of "),on=s("code"),Kc=n("huggingface_hub"),Jc=n("."),Zc=h(),nn=s("p"),Qc=n(`The goal of this decorator is to harmonize validation of arguments reused
everywhere. By default, all defined validators are tested.`),ep=h(),ln=s("p"),tp=n("Validators:"),ap=h(),Cs=s("ul"),Pe=s("li"),gr=s("a"),sp=n("validate_repo_id()"),rp=n(": "),hn=s("code"),op=n("repo_id"),np=n(" must be "),un=s("code"),lp=n('"repo_name"'),ip=n(`
or `),gn=s("code"),hp=n('"namespace/repo_name"'),up=n(". Namespace is a username or an organization."),gp=h(),ue=s("li"),cr=s("a"),cp=n("smoothly_deprecate_use_auth_token()"),pp=n(": Use "),cn=s("code"),dp=n("token"),fp=n(` instead of
`),pn=s("code"),_p=n("use_auth_token"),mp=n(" (only if "),dn=s("code"),bp=n("use_auth_token"),vp=n(` is not expected by the decorated
function - in practice, always the case in `),fn=s("code"),Ep=n("huggingface_hub"),$p=n(")."),yp=h(),v(xa.$$.fragment),Di=h(),Ct=s("h4"),Ta=s("a"),_n=s("span"),v(Fs.$$.fragment),wp=h(),mn=s("span"),kp=n("HFValidationError"),Ri=h(),Me=s("div"),v(Is.$$.fragment),Hp=h(),Os=s("p"),jp=n("Generic exception thrown by "),bn=s("code"),xp=n("huggingface_hub"),Tp=n(" validators."),Pp=h(),As=s("p"),Np=n("Inherits from "),Ls=s("a"),vn=s("code"),qp=n("ValueError"),Dp=n("."),Ci=h(),Ft=s("h3"),Pa=s("a"),En=s("span"),v(Ss.$$.fragment),Rp=h(),$n=s("span"),Cp=n("Argument validators"),Fi=h(),pr=s("p"),Fp=n(`Validators can also be used individually. Here is a list of all arguments that can be
validated.`),Ii=h(),It=s("h4"),Na=s("a"),yn=s("span"),v(Vs.$$.fragment),Ip=h(),wn=s("span"),Op=n("repo_id"),Oi=h(),x=s("div"),v(Bs.$$.fragment),Ap=h(),Us=s("p"),Lp=n("Validate "),kn=s("code"),Sp=n("repo_id"),Vp=n(" is valid."),Bp=h(),Ot=s("p"),Up=n(`This is not meant to replace the proper validation made on the Hub but rather to
avoid local inconsistencies whenever possible (example: passing `),Hn=s("code"),Gp=n("repo_type"),zp=n(` in the
`),jn=s("code"),Mp=n("repo_id"),Wp=n(" is forbidden)."),Xp=h(),xn=s("p"),Yp=n("Rules:"),Kp=h(),We=s("ul"),Tn=s("li"),Jp=n("Between 1 and 96 characters."),Zp=h(),Pn=s("li"),Qp=n("Either \u201Crepo_name\u201D or \u201Cnamespace/repo_name\u201D"),ed=h(),Nn=s("li"),td=n("[a-zA-Z0-9] or \u201D-\u201D, \u201D_\u201D, \u201D.\u201D"),ad=h(),qn=s("li"),sd=n("\u201D\u2014\u201D and \u201D..\u201D are forbidden"),rd=h(),Ne=s("p"),od=n("Valid: "),Dn=s("code"),nd=n('"foo"'),ld=n(", "),Rn=s("code"),id=n('"foo/bar"'),hd=n(", "),Cn=s("code"),ud=n('"123"'),gd=n(", "),Fn=s("code"),cd=n('"Foo-BAR_foo.bar123"'),pd=h(),qe=s("p"),dd=n("Not valid: "),In=s("code"),fd=n('"datasets/foo/bar"'),_d=n(", "),On=s("code"),md=n('".repo_id"'),bd=n(", "),An=s("code"),vd=n('"foo--bar"'),Ed=n(", "),Ln=s("code"),$d=n('"foo.git"'),yd=h(),v(qa.$$.fragment),wd=h(),Gs=s("p"),kd=n("Discussed in "),zs=s("a"),Hd=n("https://github.com/huggingface/huggingface_hub/issues/1008"),jd=n(`.
In moon-landing (internal repository):`),xd=h(),Ms=s("ul"),Sn=s("li"),Ws=s("a"),Td=n("https://github.com/huggingface/moon-landing/blob/main/server/lib/Names.ts#L27"),Pd=h(),Vn=s("li"),Xs=s("a"),Nd=n("https://github.com/huggingface/moon-landing/blob/main/server/views/components/NewRepoForm/NewRepoForm.svelte#L138"),Ai=h(),At=s("h4"),Da=s("a"),Bn=s("span"),v(Ys.$$.fragment),qd=h(),Un=s("span"),Dd=n("smoothly_deprecate_use_auth_token"),Li=h(),dr=s("p"),Rd=n("Not exactly a validator, but ran as well."),Si=h(),Y=s("div"),v(Ks.$$.fragment),Cd=h(),Lt=s("p"),Fd=n("Smoothly deprecate "),Gn=s("code"),Id=n("use_auth_token"),Od=n(" in the "),zn=s("code"),Ad=n("huggingface_hub"),Ld=n(" codebase."),Sd=h(),St=s("p"),Vd=n("The long-term goal is to remove any mention of "),Mn=s("code"),Bd=n("use_auth_token"),Ud=n(` in the codebase in
favor of a unique and less verbose `),Wn=s("code"),Gd=n("token"),zd=n(" argument. This will be done a few steps:"),Md=h(),ge=s("ol"),Xn=s("li"),D=s("p"),Wd=n("Step 0: methods that require a read-access to the Hub use the "),Yn=s("code"),Xd=n("use_auth_token"),Yd=n(`
argument (`),Kn=s("code"),Kd=n("str"),Jd=n(", "),Jn=s("code"),Zd=n("bool"),Qd=n(" or "),Zn=s("code"),ef=n("None"),tf=n("). Methods requiring write-access have a "),Qn=s("code"),af=n("token"),sf=n(`
argument (`),el=s("code"),rf=n("str"),of=n(", "),tl=s("code"),nf=n("None"),lf=n(`). This implicit rule exists to be able to not send the
token when not necessary (`),al=s("code"),hf=n("use_auth_token=False"),uf=n(") even if logged in."),gf=h(),sl=s("li"),R=s("p"),cf=n("Step 1: we want to harmonize everything and use "),rl=s("code"),pf=n("token"),df=n(` everywhere (supporting
`),ol=s("code"),ff=n("token=False"),_f=n(` for read-only methods). In order not to break existing code, if
`),nl=s("code"),mf=n("use_auth_token"),bf=n(" is passed to a function, the "),ll=s("code"),vf=n("use_auth_token"),Ef=n(` value is passed
as `),il=s("code"),$f=n("token"),yf=n(` instead, without any warning.
a. Corner case: if both `),hl=s("code"),wf=n("use_auth_token"),kf=n(" and "),ul=s("code"),Hf=n("token"),jf=n(` values are passed, a warning
is thrown and the `),gl=s("code"),xf=n("use_auth_token"),Tf=n(" value is ignored."),Pf=h(),cl=s("li"),Vt=s("p"),Nf=n(`Step 2: Once it is release, we should push downstream libraries to switch from
`),pl=s("code"),qf=n("use_auth_token"),Df=n(" to "),dl=s("code"),Rf=n("token"),Cf=n(` as much as possible, but without throwing a warning
(e.g. manually create issues on the corresponding repos).`),Ff=h(),fl=s("li"),ke=s("p"),If=n(`Step 3: After a transitional period (6 months e.g. until April 2023?), we update
`),_l=s("code"),Of=n("huggingface_hub"),Af=n(" to throw a warning on "),ml=s("code"),Lf=n("use_auth_token"),Sf=n(`. Hopefully, very few
users will be impacted as it would have already been fixed.
In addition, unit tests in `),bl=s("code"),Vf=n("huggingface_hub"),Bf=n(` must be adapted to expect warnings
to be thrown (but still use `),vl=s("code"),Uf=n("use_auth_token"),Gf=n(" as before)."),zf=h(),El=s("li"),Xe=s("p"),Mf=n(`Step 4: After a normal deprecation cycle (3 releases ?), remove this validator.
`),$l=s("code"),Wf=n("use_auth_token"),Xf=n(` will definitely not be supported.
In addition, we update unit tests in `),yl=s("code"),Yf=n("huggingface_hub"),Kf=n(" to use "),wl=s("code"),Jf=n("token"),Zf=n(" everywhere."),Qf=h(),kl=s("p"),e_=n("This has been discussed in:"),t_=h(),Bt=s("ul"),fr=s("li"),Js=s("a"),a_=n("https://github.com/huggingface/huggingface_hub/issues/1094"),s_=n("."),r_=h(),Hl=s("li"),Zs=s("a"),o_=n("https://github.com/huggingface/huggingface_hub/pull/928"),n_=h(),_r=s("li"),l_=n("(related) "),Qs=s("a"),i_=n("https://github.com/huggingface/huggingface_hub/pull/1064"),this.h()},l(t){const g=Kv('[data-svelte="svelte-1phssyn"]',document.head);f=r(g,"META",{name:!0,content:!0}),g.forEach(a),H=u(t),b=r(t,"H1",{class:!0});var er=o(b);d=r(er,"A",{id:!0,class:!0,href:!0});var jl=o(d);m=r(jl,"SPAN",{});var xl=o(m);E(i.$$.fragment,xl),xl.forEach(a),jl.forEach(a),_=u(er),pe=r(er,"SPAN",{});var Tl=o(pe);ee=l(Tl,"Utilities"),Tl.forEach(a),er.forEach(a),He=u(t),G=r(t,"H2",{class:!0});var tr=o(G);F=r(tr,"A",{id:!0,class:!0,href:!0});var Pl=o(F);te=r(Pl,"SPAN",{});var Nl=o(te);E(ae.$$.fragment,Nl),Nl.forEach(a),Pl.forEach(a),Ie=u(tr),I=r(tr,"SPAN",{});var ql=o(I);K=l(ql,"Configure logging"),ql.forEach(a),tr.forEach(a),je=u(t),V=r(t,"P",{});var Ut=o(V);de=l(Ut,"The "),J=r(Ut,"CODE",{});var Dl=o(J);ne=l(Dl,"huggingface_hub"),Dl.forEach(a),fe=l(Ut," package exposes a "),se=r(Ut,"CODE",{});var Rl=o(se);Oe=l(Rl,"logging"),Rl.forEach(a),le=l(Ut,` utility to control the logging level of the package itself.
You can import it as such:`),Ut.forEach(a),z=u(t),E(M.$$.fragment,t),xe=u(t),P=r(t,"P",{});var Cl=o(P);W=l(Cl,"Then, you may define the verbosity in order to update the amount of logs you\u2019ll see:"),Cl.forEach(a),N=u(t),E(Z.$$.fragment,t),Ae=u(t),_e=r(t,"P",{});var Fl=o(_e);me=l(Fl,"The levels should be understood as follows:"),Fl.forEach(a),ie=u(t),q=r(t,"UL",{});var Ye=o(q);be=r(Ye,"LI",{});var h_=o(be);O=r(h_,"CODE",{});var __=o(O);ve=l(__,"error"),__.forEach(a),L=l(h_,": only show critical logs about usage which may result in an error or unexpected behavior."),h_.forEach(a),he=u(Ye),Te=r(Ye,"LI",{});var u_=o(Te);Xt=r(u_,"CODE",{});var m_=o(Xt);sr=l(m_,"warning"),m_.forEach(a),Oa=l(u_,`: show logs that aren\u2019t critical but usage may result in unintended behavior.
Additionally, important informative logs may be shown.`),u_.forEach(a),rr=u(Ye),Je=r(Ye,"LI",{});var g_=o(Je);Yt=r(g_,"CODE",{});var b_=o(Yt);Aa=l(b_,"info"),b_.forEach(a),or=l(g_,`: show most logs, including some verbose logging regarding what is happening under the hood.
If something is behaving in an unexpected manner, we recommend switching the verbosity level to this in order
to get more information.`),g_.forEach(a),La=u(Ye),rt=r(Ye,"LI",{});var c_=o(rt);ot=r(c_,"CODE",{});var v_=o(ot);nr=l(v_,"debug"),v_.forEach(a),Rh=l(c_,`: show all logs, including some internal logs which may be used to track exactly what\u2019s happening
under the hood.`),c_.forEach(a),Ye.forEach(a),Ll=u(t),Le=r(t,"DIV",{class:!0});var mr=o(Le);E(Sa.$$.fragment,mr),Ch=u(mr),Rr=r(mr,"P",{});var E_=o(Rr);Fh=l(E_,"Return the current level for the HuggingFace Hub\u2019s root logger."),E_.forEach(a),Ih=u(mr),E(Kt.$$.fragment,mr),mr.forEach(a),Sl=u(t),nt=r(t,"DIV",{class:!0});var Bi=o(nt);E(Va.$$.fragment,Bi),Oh=u(Bi),Cr=r(Bi,"P",{});var $_=o(Cr);Ah=l($_,"Sets the level for the HuggingFace Hub\u2019s root logger."),$_.forEach(a),Bi.forEach(a),Vl=u(t),lt=r(t,"DIV",{class:!0});var Ui=o(lt);E(Ba.$$.fragment,Ui),Lh=u(Ui),Ua=r(Ui,"P",{});var Gi=o(Ua);Sh=l(Gi,"Sets the verbosity to "),Fr=r(Gi,"CODE",{});var y_=o(Fr);Vh=l(y_,"logging.INFO"),y_.forEach(a),Bh=l(Gi,"."),Gi.forEach(a),Ui.forEach(a),Bl=u(t),it=r(t,"DIV",{class:!0});var zi=o(it);E(Ga.$$.fragment,zi),Uh=u(zi),za=r(zi,"P",{});var Mi=o(za);Gh=l(Mi,"Sets the verbosity to "),Ir=r(Mi,"CODE",{});var w_=o(Ir);zh=l(w_,"logging.DEBUG"),w_.forEach(a),Mh=l(Mi,"."),Mi.forEach(a),zi.forEach(a),Ul=u(t),ht=r(t,"DIV",{class:!0});var Wi=o(ht);E(Ma.$$.fragment,Wi),Wh=u(Wi),Wa=r(Wi,"P",{});var Xi=o(Wa);Xh=l(Xi,"Sets the verbosity to "),Or=r(Xi,"CODE",{});var k_=o(Or);Yh=l(k_,"logging.WARNING"),k_.forEach(a),Kh=l(Xi,"."),Xi.forEach(a),Wi.forEach(a),Gl=u(t),ut=r(t,"DIV",{class:!0});var Yi=o(ut);E(Xa.$$.fragment,Yi),Jh=u(Yi),Ya=r(Yi,"P",{});var Ki=o(Ya);Zh=l(Ki,"Sets the verbosity to "),Ar=r(Ki,"CODE",{});var H_=o(Ar);Qh=l(H_,"logging.ERROR"),H_.forEach(a),eu=l(Ki,"."),Ki.forEach(a),Yi.forEach(a),zl=u(t),gt=r(t,"DIV",{class:!0});var Ji=o(gt);E(Ka.$$.fragment,Ji),tu=u(Ji),Lr=r(Ji,"P",{});var j_=o(Lr);au=l(j_,`Disable propagation of the library log outputs. Note that log propagation is
disabled by default.`),j_.forEach(a),Ji.forEach(a),Ml=u(t),ct=r(t,"DIV",{class:!0});var Zi=o(ct);E(Ja.$$.fragment,Zi),su=u(Zi),Sr=r(Zi,"P",{});var x_=o(Sr);ru=l(x_,`Enable propagation of the library log outputs. Please disable the
HuggingFace Hub\u2019s default handler to prevent double logging if the root
logger has been configured.`),x_.forEach(a),Zi.forEach(a),Wl=u(t),pt=r(t,"H3",{class:!0});var Qi=o(pt);Jt=r(Qi,"A",{id:!0,class:!0,href:!0});var T_=o(Jt);Vr=r(T_,"SPAN",{});var P_=o(Vr);E(Za.$$.fragment,P_),P_.forEach(a),T_.forEach(a),ou=u(Qi),Br=r(Qi,"SPAN",{});var N_=o(Br);nu=l(N_,"Repo-specific helper methods"),N_.forEach(a),Qi.forEach(a),Xl=u(t),Ze=r(t,"P",{});var br=o(Ze);lu=l(br,"The methods exposed below are relevant when modifying modules from the "),Ur=r(br,"CODE",{});var q_=o(Ur);iu=l(q_,"huggingface_hub"),q_.forEach(a),hu=l(br,` library itself.
Using these shouldn\u2019t be necessary if you use `),Gr=r(br,"CODE",{});var D_=o(Gr);uu=l(D_,"huggingface_hub"),D_.forEach(a),gu=l(br," and you don\u2019t modify them."),br.forEach(a),Yl=u(t),Se=r(t,"DIV",{class:!0});var vr=o(Se);E(Qa.$$.fragment,vr),cu=u(vr),zr=r(vr,"P",{});var R_=o(zr);pu=l(R_,`Returns a logger with the specified name. This function is not supposed
to be directly accessed by library users.`),R_.forEach(a),du=u(vr),E(Zt.$$.fragment,vr),vr.forEach(a),Kl=u(t),dt=r(t,"H2",{class:!0});var eh=o(dt);Qt=r(eh,"A",{id:!0,class:!0,href:!0});var C_=o(Qt);Mr=r(C_,"SPAN",{});var F_=o(Mr);E(es.$$.fragment,F_),F_.forEach(a),C_.forEach(a),fu=u(eh),Wr=r(eh,"SPAN",{});var I_=o(Wr);_u=l(I_,"Handle HTTP errors"),I_.forEach(a),eh.forEach(a),Jl=u(t),Ve=r(t,"P",{});var ar=o(Ve);Xr=r(ar,"CODE",{});var O_=o(Xr);mu=l(O_,"huggingface_hub"),O_.forEach(a),bu=l(ar," defines its own HTTP errors to refine the "),Yr=r(ar,"CODE",{});var A_=o(Yr);vu=l(A_,"HTTPError"),A_.forEach(a),Eu=l(ar,` raised by
`),Kr=r(ar,"CODE",{});var L_=o(Kr);$u=l(L_,"requests"),L_.forEach(a),yu=l(ar," with additional information sent back by the server."),ar.forEach(a),Zl=u(t),ft=r(t,"H3",{class:!0});var th=o(ft);ea=r(th,"A",{id:!0,class:!0,href:!0});var S_=o(ea);Jr=r(S_,"SPAN",{});var V_=o(Jr);E(ts.$$.fragment,V_),V_.forEach(a),S_.forEach(a),wu=u(th),Zr=r(th,"SPAN",{});var B_=o(Zr);ku=l(B_,"Raise for status"),B_.forEach(a),th.forEach(a),Ql=u(t),Ee=r(t,"P",{});var Gt=o(Ee);lr=r(Gt,"A",{href:!0});var U_=o(lr);Hu=l(U_,"hf_raise_for_status()"),U_.forEach(a),ju=l(Gt,` is meant to be the central method to \u201Craise for status\u201D from any
request made to the Hub. It wraps the base `),Qr=r(Gt,"CODE",{});var G_=o(Qr);xu=l(G_,"requests.raise_for_status"),G_.forEach(a),Tu=l(Gt,` to provide
additional information. Any `),eo=r(Gt,"CODE",{});var z_=o(eo);Pu=l(z_,"HTTPError"),z_.forEach(a),Nu=l(Gt," thrown is converted into a "),to=r(Gt,"CODE",{});var M_=o(to);qu=l(M_,"HfHubHTTPError"),M_.forEach(a),Du=l(Gt,"."),Gt.forEach(a),ei=u(t),E(as.$$.fragment,t),ti=u(t),re=r(t,"DIV",{class:!0});var Qe=o(re);E(ss.$$.fragment,Qe),Ru=u(Qe),_t=r(Qe,"P",{});var Er=o(_t);Cu=l(Er,"Internal version of "),ao=r(Er,"CODE",{});var W_=o(ao);Fu=l(W_,"response.raise_for_status()"),W_.forEach(a),Iu=l(Er,` that will refine a
potential HTTPError. Raised exception will be an instance of `),so=r(Er,"CODE",{});var X_=o(so);Ou=l(X_,"HfHubHTTPError"),X_.forEach(a),Au=l(Er,"."),Er.forEach(a),Lu=u(Qe),ro=r(Qe,"P",{});var Y_=o(ro);Su=l(Y_,`This helper is meant to be the unique method to raise_for_status when making a call
to the Hugging Face Hub.`),Y_.forEach(a),Vu=u(Qe),E(ta.$$.fragment,Qe),Bu=u(Qe),E(aa.$$.fragment,Qe),Qe.forEach(a),ai=u(t),mt=r(t,"H3",{class:!0});var ah=o(mt);sa=r(ah,"A",{id:!0,class:!0,href:!0});var K_=o(sa);oo=r(K_,"SPAN",{});var J_=o(oo);E(rs.$$.fragment,J_),J_.forEach(a),K_.forEach(a),Uu=u(ah),no=r(ah,"SPAN",{});var Z_=o(no);Gu=l(Z_,"HTTP errors"),Z_.forEach(a),ah.forEach(a),si=u(t),ra=r(t,"P",{});var sh=o(ra);zu=l(sh,"Here is a list of HTTP errors thrown in "),lo=r(sh,"CODE",{});var Q_=o(lo);Mu=l(Q_,"huggingface_hub"),Q_.forEach(a),Wu=l(sh,"."),sh.forEach(a),ri=u(t),bt=r(t,"H4",{class:!0});var rh=o(bt);oa=r(rh,"A",{id:!0,class:!0,href:!0});var em=o(oa);io=r(em,"SPAN",{});var tm=o(io);E(os.$$.fragment,tm),tm.forEach(a),em.forEach(a),Xu=u(rh),ho=r(rh,"SPAN",{});var am=o(ho);Yu=l(am,"HfHubHTTPError"),am.forEach(a),rh.forEach(a),oi=u(t),ns=r(t,"P",{});var p_=o(ns);uo=r(p_,"CODE",{});var sm=o(uo);Ku=l(sm,"HfHubHTTPError"),sm.forEach(a),Ju=l(p_,` is the parent class for any HF Hub HTTP error. It takes care of parsing
the server response and format the error message to provide as much information to the
user as possible.`),p_.forEach(a),ni=u(t),S=r(t,"DIV",{class:!0});var ce=o(S);E(ls.$$.fragment,ce),Zu=u(ce),go=r(ce,"P",{});var rm=o(go);Qu=l(rm,"HTTPError to inherit from for any custom HTTP Error raised in HF Hub."),rm.forEach(a),eg=u(ce),is=r(ce,"P",{});var oh=o(is);tg=l(oh,"Any HTTPError is converted at least into a "),co=r(oh,"CODE",{});var om=o(co);ag=l(om,"HfHubHTTPError"),om.forEach(a),sg=l(oh,`. If some information is
sent back by the server, it will be added to the error message.`),oh.forEach(a),rg=u(ce),po=r(ce,"P",{});var nm=o(po);og=l(nm,"Added details:"),nm.forEach(a),ng=u(ce),vt=r(ce,"UL",{});var $r=o(vt);fo=r($r,"LI",{});var lm=o(fo);lg=l(lm,"Request id from \u201CX-Request-Id\u201D header if exists."),lm.forEach(a),ig=u($r),_o=r($r,"LI",{});var im=o(_o);hg=l(im,"Server error message from the header \u201CX-Error-Message\u201D."),im.forEach(a),ug=u($r),mo=r($r,"LI",{});var hm=o(mo);gg=l(hm,"Server error message if we can found one in the response body."),hm.forEach(a),$r.forEach(a),cg=u(ce),E(na.$$.fragment,ce),pg=u(ce),la=r(ce,"DIV",{class:!0});var nh=o(la);E(hs.$$.fragment,nh),dg=u(nh),us=r(nh,"P",{});var lh=o(us);fg=l(lh,"Append additional information to the "),bo=r(lh,"CODE",{});var um=o(bo);_g=l(um,"HfHubHTTPError"),um.forEach(a),mg=l(lh," initial message."),lh.forEach(a),nh.forEach(a),ce.forEach(a),li=u(t),Et=r(t,"H4",{class:!0});var ih=o(Et);ia=r(ih,"A",{id:!0,class:!0,href:!0});var gm=o(ia);vo=r(gm,"SPAN",{});var cm=o(vo);E(gs.$$.fragment,cm),cm.forEach(a),gm.forEach(a),bg=u(ih),Eo=r(ih,"SPAN",{});var pm=o(Eo);vg=l(pm,"RepositoryNotFoundError"),pm.forEach(a),ih.forEach(a),ii=u(t),Be=r(t,"DIV",{class:!0});var yr=o(Be);E(cs.$$.fragment,yr),Eg=u(yr),$o=r(yr,"P",{});var dm=o($o);$g=l(dm,`Raised when trying to access a hf.co URL with an invalid repository name, or
with a private repo name the user does not have access to.`),dm.forEach(a),yg=u(yr),E(ha.$$.fragment,yr),yr.forEach(a),hi=u(t),$t=r(t,"H4",{class:!0});var hh=o($t);ua=r(hh,"A",{id:!0,class:!0,href:!0});var fm=o(ua);yo=r(fm,"SPAN",{});var _m=o(yo);E(ps.$$.fragment,_m),_m.forEach(a),fm.forEach(a),wg=u(hh),wo=r(hh,"SPAN",{});var mm=o(wo);kg=l(mm,"GatedRepoError"),mm.forEach(a),hh.forEach(a),ui=u(t),$e=r(t,"DIV",{class:!0});var Ra=o($e);E(ds.$$.fragment,Ra),Hg=u(Ra),ko=r(Ra,"P",{});var bm=o(ko);jg=l(bm,`Raised when trying to access a gated repository for which the user is not on the
authorized list.`),bm.forEach(a),xg=u(Ra),fs=r(Ra,"P",{});var uh=o(fs);Tg=l(uh,"Note: derives from "),Ho=r(uh,"CODE",{});var vm=o(Ho);Pg=l(vm,"RepositoryNotFoundError"),vm.forEach(a),Ng=l(uh," to ensure backward compatibility."),uh.forEach(a),qg=u(Ra),E(ga.$$.fragment,Ra),Ra.forEach(a),gi=u(t),yt=r(t,"H4",{class:!0});var gh=o(yt);ca=r(gh,"A",{id:!0,class:!0,href:!0});var Em=o(ca);jo=r(Em,"SPAN",{});var $m=o(jo);E(_s.$$.fragment,$m),$m.forEach(a),Em.forEach(a),Dg=u(gh),xo=r(gh,"SPAN",{});var ym=o(xo);Rg=l(ym,"RevisionNotFoundError"),ym.forEach(a),gh.forEach(a),ci=u(t),Ue=r(t,"DIV",{class:!0});var wr=o(Ue);E(ms.$$.fragment,wr),Cg=u(wr),To=r(wr,"P",{});var wm=o(To);Fg=l(wm,`Raised when trying to access a hf.co URL with a valid repository but an invalid
revision.`),wm.forEach(a),Ig=u(wr),E(pa.$$.fragment,wr),wr.forEach(a),pi=u(t),wt=r(t,"H4",{class:!0});var ch=o(wt);da=r(ch,"A",{id:!0,class:!0,href:!0});var km=o(da);Po=r(km,"SPAN",{});var Hm=o(Po);E(bs.$$.fragment,Hm),Hm.forEach(a),km.forEach(a),Og=u(ch),No=r(ch,"SPAN",{});var jm=o(No);Ag=l(jm,"EntryNotFoundError"),jm.forEach(a),ch.forEach(a),di=u(t),Ge=r(t,"DIV",{class:!0});var kr=o(Ge);E(vs.$$.fragment,kr),Lg=u(kr),qo=r(kr,"P",{});var xm=o(qo);Sg=l(xm,`Raised when trying to access a hf.co URL with a valid repository and revision
but an invalid filename.`),xm.forEach(a),Vg=u(kr),E(fa.$$.fragment,kr),kr.forEach(a),fi=u(t),kt=r(t,"H4",{class:!0});var ph=o(kt);_a=r(ph,"A",{id:!0,class:!0,href:!0});var Tm=o(_a);Do=r(Tm,"SPAN",{});var Pm=o(Do);E(Es.$$.fragment,Pm),Pm.forEach(a),Tm.forEach(a),Bg=u(ph),Ro=r(ph,"SPAN",{});var Nm=o(Ro);Ug=l(Nm,"BadRequestError"),Nm.forEach(a),ph.forEach(a),_i=u(t),ze=r(t,"DIV",{class:!0});var Hr=o(ze);E($s.$$.fragment,Hr),Gg=u(Hr),ys=r(Hr,"P",{});var dh=o(ys);zg=l(dh,"Raised by "),Co=r(dh,"CODE",{});var qm=o(Co);Mg=l(qm,"hf_raise_for_status"),qm.forEach(a),Wg=l(dh," when the server returns a HTTP 400 error."),dh.forEach(a),Xg=u(Hr),E(ma.$$.fragment,Hr),Hr.forEach(a),mi=u(t),Ht=r(t,"H4",{class:!0});var fh=o(Ht);ba=r(fh,"A",{id:!0,class:!0,href:!0});var Dm=o(ba);Fo=r(Dm,"SPAN",{});var Rm=o(Fo);E(ws.$$.fragment,Rm),Rm.forEach(a),Dm.forEach(a),Yg=u(fh),Io=r(fh,"SPAN",{});var Cm=o(Io);Kg=l(Cm,"LocalEntryNotFoundError"),Cm.forEach(a),fh.forEach(a),bi=u(t),ye=r(t,"DIV",{class:!0});var Ca=o(ye);E(ks.$$.fragment,Ca),Jg=u(Ca),Oo=r(Ca,"P",{});var Fm=o(Oo);Zg=l(Fm,`Raised when trying to access a file that is not on the disk when network is
disabled or unavailable (connection issue). The entry may exist on the Hub.`),Fm.forEach(a),Qg=u(Ca),we=r(Ca,"P",{});var et=o(we);ec=l(et,"Note: "),Ao=r(et,"CODE",{});var Im=o(Ao);tc=l(Im,"ValueError"),Im.forEach(a),ac=l(et,` type is to ensure backward compatibility.
Note: `),Lo=r(et,"CODE",{});var Om=o(Lo);sc=l(Om,"LocalEntryNotFoundError"),Om.forEach(a),rc=l(et," derives from "),So=r(et,"CODE",{});var Am=o(So);oc=l(Am,"HTTPError"),Am.forEach(a),nc=l(et," because of "),Vo=r(et,"CODE",{});var Lm=o(Vo);lc=l(Lm,"EntryNotFoundError"),Lm.forEach(a),ic=l(et,`
even when it is not a network issue.`),et.forEach(a),hc=u(Ca),E(va.$$.fragment,Ca),Ca.forEach(a),vi=u(t),jt=r(t,"H2",{class:!0});var _h=o(jt);Ea=r(_h,"A",{id:!0,class:!0,href:!0});var Sm=o(Ea);Bo=r(Sm,"SPAN",{});var Vm=o(Bo);E(Hs.$$.fragment,Vm),Vm.forEach(a),Sm.forEach(a),uc=u(_h),Uo=r(_h,"SPAN",{});var Bm=o(Uo);gc=l(Bm,"Telemetry"),Bm.forEach(a),_h.forEach(a),Ei=u(t),xt=r(t,"P",{});var Il=o(xt);Go=r(Il,"CODE",{});var Um=o(Go);cc=l(Um,"huggingface_hub"),Um.forEach(a),pc=l(Il,` includes an helper to send telemetry data. This information helps us debug issues and prioritize new features.
Users can disable telemetry collection at any time by setting the `),zo=r(Il,"CODE",{});var Gm=o(zo);dc=l(Gm,"HF_HUB_DISABLE_TELEMETRY=1"),Gm.forEach(a),fc=l(Il,` environment variable.
Telemetry is also disabled in offline mode (i.e. when setting HF_HUB_OFFLINE=1).`),Il.forEach(a),$i=u(t),$a=r(t,"P",{});var mh=o($a);_c=l(mh,"If you are maintainer of a third-party library, sending telemetry data is as simple as making a call to "),Mo=r(mh,"CODE",{});var zm=o(Mo);mc=l(zm,"send_telemetry"),zm.forEach(a),bc=l(mh,`.
Data is sent in a separate thread to reduce as much as possible the impact for users.`),mh.forEach(a),yi=u(t),oe=r(t,"DIV",{class:!0});var tt=o(oe);E(js.$$.fragment,tt),vc=u(tt),Wo=r(tt,"P",{});var Mm=o(Wo);Ec=l(Mm,"Sends telemetry that helps tracking usage of different HF libraries."),Mm.forEach(a),$c=u(tt),Tt=r(tt,"P",{});var jr=o(Tt);yc=l(jr,`This usage data helps us debug issues and prioritize new features. However, we understand that not everyone wants
to share additional information, and we respect your privacy. You can disable telemetry collection by setting the
`),Xo=r(jr,"CODE",{});var Wm=o(Xo);wc=l(Wm,"HF_HUB_DISABLE_TELEMETRY=1"),Wm.forEach(a),kc=l(jr,` as environment variable. Telemetry is also disabled in offline mode (i.e. when setting
`),Yo=r(jr,"CODE",{});var Xm=o(Yo);Hc=l(Xm,"HF_HUB_OFFLINE=1"),Xm.forEach(a),jc=l(jr,")."),jr.forEach(a),xc=u(tt),Ko=r(tt,"P",{});var Ym=o(Ko);Tc=l(Ym,"Telemetry collection is run in a separate thread to minimize impact for the user."),Ym.forEach(a),Pc=u(tt),E(ya.$$.fragment,tt),tt.forEach(a),wi=u(t),Pt=r(t,"H2",{class:!0});var bh=o(Pt);wa=r(bh,"A",{id:!0,class:!0,href:!0});var Km=o(wa);Jo=r(Km,"SPAN",{});var Jm=o(Jo);E(xs.$$.fragment,Jm),Jm.forEach(a),Km.forEach(a),Nc=u(bh),Zo=r(bh,"SPAN",{});var Zm=o(Zo);qc=l(Zm,"Validators"),Zm.forEach(a),bh.forEach(a),ki=u(t),Nt=r(t,"P",{});var Ol=o(Nt);Qo=r(Ol,"CODE",{});var Qm=o(Qo);Dc=l(Qm,"huggingface_hub"),Qm.forEach(a),Rc=l(Ol,` includes custom validators to validate method arguments automatically.
Validation is inspired by the work done in `),Ts=r(Ol,"A",{href:!0,rel:!0});var eb=o(Ts);Cc=l(eb,"Pydantic"),eb.forEach(a),Fc=l(Ol,`
to validate type hints but with more limited features.`),Ol.forEach(a),Hi=u(t),qt=r(t,"H3",{class:!0});var vh=o(qt);ka=r(vh,"A",{id:!0,class:!0,href:!0});var tb=o(ka);en=r(tb,"SPAN",{});var ab=o(en);E(Ps.$$.fragment,ab),ab.forEach(a),tb.forEach(a),Ic=u(vh),tn=r(vh,"SPAN",{});var sb=o(tn);Oc=l(sb,"Generic decorator"),sb.forEach(a),vh.forEach(a),ji=u(t),Dt=r(t,"P",{});var Al=o(Dt);ir=r(Al,"A",{href:!0});var rb=o(ir);Ac=l(rb,"validate_hf_hub_args()"),rb.forEach(a),Lc=l(Al,` is a generic decorator to encapsulate
methods that have arguments following `),an=r(Al,"CODE",{});var ob=o(an);Sc=l(ob,"huggingface_hub"),ob.forEach(a),Vc=l(Al,`\u2019s naming. By default, all
arguments that has a validator implemented will be validated.`),Al.forEach(a),xi=u(t),Ha=r(t,"P",{});var Eh=o(Ha);Bc=l(Eh,"If an input is not valid, a "),hr=r(Eh,"A",{href:!0});var nb=o(hr);Uc=l(nb,"HFValidationError"),nb.forEach(a),Gc=l(Eh,` is thrown. Only
the first non-valid value throws an error and stops the validation process.`),Eh.forEach(a),Ti=u(t),ur=r(t,"P",{});var lb=o(ur);zc=l(lb,"Usage:"),lb.forEach(a),Pi=u(t),E(Ns.$$.fragment,t),Ni=u(t),Rt=r(t,"H4",{class:!0});var $h=o(Rt);ja=r($h,"A",{id:!0,class:!0,href:!0});var ib=o(ja);sn=r(ib,"SPAN",{});var hb=o(sn);E(qs.$$.fragment,hb),hb.forEach(a),ib.forEach(a),Mc=u($h),rn=r($h,"SPAN",{});var ub=o(rn);Wc=l(ub,"validate_hf_hub_args"),ub.forEach(a),$h.forEach(a),qi=u(t),X=r(t,"DIV",{class:!0});var De=o(X);E(Ds.$$.fragment,De),Xc=u(De),Rs=r(De,"P",{});var yh=o(Rs);Yc=l(yh,"Validate values received as argument for any public method of "),on=r(yh,"CODE",{});var gb=o(on);Kc=l(gb,"huggingface_hub"),gb.forEach(a),Jc=l(yh,"."),yh.forEach(a),Zc=u(De),nn=r(De,"P",{});var cb=o(nn);Qc=l(cb,`The goal of this decorator is to harmonize validation of arguments reused
everywhere. By default, all defined validators are tested.`),cb.forEach(a),ep=u(De),ln=r(De,"P",{});var pb=o(ln);tp=l(pb,"Validators:"),pb.forEach(a),ap=u(De),Cs=r(De,"UL",{});var wh=o(Cs);Pe=r(wh,"LI",{});var zt=o(Pe);gr=r(zt,"A",{href:!0});var db=o(gr);sp=l(db,"validate_repo_id()"),db.forEach(a),rp=l(zt,": "),hn=r(zt,"CODE",{});var fb=o(hn);op=l(fb,"repo_id"),fb.forEach(a),np=l(zt," must be "),un=r(zt,"CODE",{});var _b=o(un);lp=l(_b,'"repo_name"'),_b.forEach(a),ip=l(zt,`
or `),gn=r(zt,"CODE",{});var mb=o(gn);hp=l(mb,'"namespace/repo_name"'),mb.forEach(a),up=l(zt,". Namespace is a username or an organization."),zt.forEach(a),gp=u(wh),ue=r(wh,"LI",{});var Ke=o(ue);cr=r(Ke,"A",{href:!0});var bb=o(cr);cp=l(bb,"smoothly_deprecate_use_auth_token()"),bb.forEach(a),pp=l(Ke,": Use "),cn=r(Ke,"CODE",{});var vb=o(cn);dp=l(vb,"token"),vb.forEach(a),fp=l(Ke,` instead of
`),pn=r(Ke,"CODE",{});var Eb=o(pn);_p=l(Eb,"use_auth_token"),Eb.forEach(a),mp=l(Ke," (only if "),dn=r(Ke,"CODE",{});var $b=o(dn);bp=l($b,"use_auth_token"),$b.forEach(a),vp=l(Ke,` is not expected by the decorated
function - in practice, always the case in `),fn=r(Ke,"CODE",{});var yb=o(fn);Ep=l(yb,"huggingface_hub"),yb.forEach(a),$p=l(Ke,")."),Ke.forEach(a),wh.forEach(a),yp=u(De),E(xa.$$.fragment,De),De.forEach(a),Di=u(t),Ct=r(t,"H4",{class:!0});var kh=o(Ct);Ta=r(kh,"A",{id:!0,class:!0,href:!0});var wb=o(Ta);_n=r(wb,"SPAN",{});var kb=o(_n);E(Fs.$$.fragment,kb),kb.forEach(a),wb.forEach(a),wp=u(kh),mn=r(kh,"SPAN",{});var Hb=o(mn);kp=l(Hb,"HFValidationError"),Hb.forEach(a),kh.forEach(a),Ri=u(t),Me=r(t,"DIV",{class:!0});var xr=o(Me);E(Is.$$.fragment,xr),Hp=u(xr),Os=r(xr,"P",{});var Hh=o(Os);jp=l(Hh,"Generic exception thrown by "),bn=r(Hh,"CODE",{});var jb=o(bn);xp=l(jb,"huggingface_hub"),jb.forEach(a),Tp=l(Hh," validators."),Hh.forEach(a),Pp=u(xr),As=r(xr,"P",{});var jh=o(As);Np=l(jh,"Inherits from "),Ls=r(jh,"A",{href:!0,rel:!0});var xb=o(Ls);vn=r(xb,"CODE",{});var Tb=o(vn);qp=l(Tb,"ValueError"),Tb.forEach(a),xb.forEach(a),Dp=l(jh,"."),jh.forEach(a),xr.forEach(a),Ci=u(t),Ft=r(t,"H3",{class:!0});var xh=o(Ft);Pa=r(xh,"A",{id:!0,class:!0,href:!0});var Pb=o(Pa);En=r(Pb,"SPAN",{});var Nb=o(En);E(Ss.$$.fragment,Nb),Nb.forEach(a),Pb.forEach(a),Rp=u(xh),$n=r(xh,"SPAN",{});var qb=o($n);Cp=l(qb,"Argument validators"),qb.forEach(a),xh.forEach(a),Fi=u(t),pr=r(t,"P",{});var Db=o(pr);Fp=l(Db,`Validators can also be used individually. Here is a list of all arguments that can be
validated.`),Db.forEach(a),Ii=u(t),It=r(t,"H4",{class:!0});var Th=o(It);Na=r(Th,"A",{id:!0,class:!0,href:!0});var Rb=o(Na);yn=r(Rb,"SPAN",{});var Cb=o(yn);E(Vs.$$.fragment,Cb),Cb.forEach(a),Rb.forEach(a),Ip=u(Th),wn=r(Th,"SPAN",{});var Fb=o(wn);Op=l(Fb,"repo_id"),Fb.forEach(a),Th.forEach(a),Oi=u(t),x=r(t,"DIV",{class:!0});var A=o(x);E(Bs.$$.fragment,A),Ap=u(A),Us=r(A,"P",{});var Ph=o(Us);Lp=l(Ph,"Validate "),kn=r(Ph,"CODE",{});var Ib=o(kn);Sp=l(Ib,"repo_id"),Ib.forEach(a),Vp=l(Ph," is valid."),Ph.forEach(a),Bp=u(A),Ot=r(A,"P",{});var Tr=o(Ot);Up=l(Tr,`This is not meant to replace the proper validation made on the Hub but rather to
avoid local inconsistencies whenever possible (example: passing `),Hn=r(Tr,"CODE",{});var Ob=o(Hn);Gp=l(Ob,"repo_type"),Ob.forEach(a),zp=l(Tr,` in the
`),jn=r(Tr,"CODE",{});var Ab=o(jn);Mp=l(Ab,"repo_id"),Ab.forEach(a),Wp=l(Tr," is forbidden)."),Tr.forEach(a),Xp=u(A),xn=r(A,"P",{});var Lb=o(xn);Yp=l(Lb,"Rules:"),Lb.forEach(a),Kp=u(A),We=r(A,"UL",{});var Fa=o(We);Tn=r(Fa,"LI",{});var Sb=o(Tn);Jp=l(Sb,"Between 1 and 96 characters."),Sb.forEach(a),Zp=u(Fa),Pn=r(Fa,"LI",{});var Vb=o(Pn);Qp=l(Vb,"Either \u201Crepo_name\u201D or \u201Cnamespace/repo_name\u201D"),Vb.forEach(a),ed=u(Fa),Nn=r(Fa,"LI",{});var Bb=o(Nn);td=l(Bb,"[a-zA-Z0-9] or \u201D-\u201D, \u201D_\u201D, \u201D.\u201D"),Bb.forEach(a),ad=u(Fa),qn=r(Fa,"LI",{});var Ub=o(qn);sd=l(Ub,"\u201D\u2014\u201D and \u201D..\u201D are forbidden"),Ub.forEach(a),Fa.forEach(a),rd=u(A),Ne=r(A,"P",{});var Mt=o(Ne);od=l(Mt,"Valid: "),Dn=r(Mt,"CODE",{});var Gb=o(Dn);nd=l(Gb,'"foo"'),Gb.forEach(a),ld=l(Mt,", "),Rn=r(Mt,"CODE",{});var zb=o(Rn);id=l(zb,'"foo/bar"'),zb.forEach(a),hd=l(Mt,", "),Cn=r(Mt,"CODE",{});var Mb=o(Cn);ud=l(Mb,'"123"'),Mb.forEach(a),gd=l(Mt,", "),Fn=r(Mt,"CODE",{});var Wb=o(Fn);cd=l(Wb,'"Foo-BAR_foo.bar123"'),Wb.forEach(a),Mt.forEach(a),pd=u(A),qe=r(A,"P",{});var Wt=o(qe);dd=l(Wt,"Not valid: "),In=r(Wt,"CODE",{});var Xb=o(In);fd=l(Xb,'"datasets/foo/bar"'),Xb.forEach(a),_d=l(Wt,", "),On=r(Wt,"CODE",{});var Yb=o(On);md=l(Yb,'".repo_id"'),Yb.forEach(a),bd=l(Wt,", "),An=r(Wt,"CODE",{});var Kb=o(An);vd=l(Kb,'"foo--bar"'),Kb.forEach(a),Ed=l(Wt,", "),Ln=r(Wt,"CODE",{});var Jb=o(Ln);$d=l(Jb,'"foo.git"'),Jb.forEach(a),Wt.forEach(a),yd=u(A),E(qa.$$.fragment,A),wd=u(A),Gs=r(A,"P",{});var Nh=o(Gs);kd=l(Nh,"Discussed in "),zs=r(Nh,"A",{href:!0,rel:!0});var Zb=o(zs);Hd=l(Zb,"https://github.com/huggingface/huggingface_hub/issues/1008"),Zb.forEach(a),jd=l(Nh,`.
In moon-landing (internal repository):`),Nh.forEach(a),xd=u(A),Ms=r(A,"UL",{});var qh=o(Ms);Sn=r(qh,"LI",{});var Qb=o(Sn);Ws=r(Qb,"A",{href:!0,rel:!0});var ev=o(Ws);Td=l(ev,"https://github.com/huggingface/moon-landing/blob/main/server/lib/Names.ts#L27"),ev.forEach(a),Qb.forEach(a),Pd=u(qh),Vn=r(qh,"LI",{});var tv=o(Vn);Xs=r(tv,"A",{href:!0,rel:!0});var av=o(Xs);Nd=l(av,"https://github.com/huggingface/moon-landing/blob/main/server/views/components/NewRepoForm/NewRepoForm.svelte#L138"),av.forEach(a),tv.forEach(a),qh.forEach(a),A.forEach(a),Ai=u(t),At=r(t,"H4",{class:!0});var Dh=o(At);Da=r(Dh,"A",{id:!0,class:!0,href:!0});var sv=o(Da);Bn=r(sv,"SPAN",{});var rv=o(Bn);E(Ys.$$.fragment,rv),rv.forEach(a),sv.forEach(a),qd=u(Dh),Un=r(Dh,"SPAN",{});var ov=o(Un);Dd=l(ov,"smoothly_deprecate_use_auth_token"),ov.forEach(a),Dh.forEach(a),Li=u(t),dr=r(t,"P",{});var nv=o(dr);Rd=l(nv,"Not exactly a validator, but ran as well."),nv.forEach(a),Si=u(t),Y=r(t,"DIV",{class:!0});var Re=o(Y);E(Ks.$$.fragment,Re),Cd=u(Re),Lt=r(Re,"P",{});var Pr=o(Lt);Fd=l(Pr,"Smoothly deprecate "),Gn=r(Pr,"CODE",{});var lv=o(Gn);Id=l(lv,"use_auth_token"),lv.forEach(a),Od=l(Pr," in the "),zn=r(Pr,"CODE",{});var iv=o(zn);Ad=l(iv,"huggingface_hub"),iv.forEach(a),Ld=l(Pr," codebase."),Pr.forEach(a),Sd=u(Re),St=r(Re,"P",{});var Nr=o(St);Vd=l(Nr,"The long-term goal is to remove any mention of "),Mn=r(Nr,"CODE",{});var hv=o(Mn);Bd=l(hv,"use_auth_token"),hv.forEach(a),Ud=l(Nr,` in the codebase in
favor of a unique and less verbose `),Wn=r(Nr,"CODE",{});var uv=o(Wn);Gd=l(uv,"token"),uv.forEach(a),zd=l(Nr," argument. This will be done a few steps:"),Nr.forEach(a),Md=u(Re),ge=r(Re,"OL",{start:!0});var at=o(ge);Xn=r(at,"LI",{});var gv=o(Xn);D=r(gv,"P",{});var B=o(D);Wd=l(B,"Step 0: methods that require a read-access to the Hub use the "),Yn=r(B,"CODE",{});var cv=o(Yn);Xd=l(cv,"use_auth_token"),cv.forEach(a),Yd=l(B,`
argument (`),Kn=r(B,"CODE",{});var pv=o(Kn);Kd=l(pv,"str"),pv.forEach(a),Jd=l(B,", "),Jn=r(B,"CODE",{});var dv=o(Jn);Zd=l(dv,"bool"),dv.forEach(a),Qd=l(B," or "),Zn=r(B,"CODE",{});var fv=o(Zn);ef=l(fv,"None"),fv.forEach(a),tf=l(B,"). Methods requiring write-access have a "),Qn=r(B,"CODE",{});var _v=o(Qn);af=l(_v,"token"),_v.forEach(a),sf=l(B,`
argument (`),el=r(B,"CODE",{});var mv=o(el);rf=l(mv,"str"),mv.forEach(a),of=l(B,", "),tl=r(B,"CODE",{});var bv=o(tl);nf=l(bv,"None"),bv.forEach(a),lf=l(B,`). This implicit rule exists to be able to not send the
token when not necessary (`),al=r(B,"CODE",{});var vv=o(al);hf=l(vv,"use_auth_token=False"),vv.forEach(a),uf=l(B,") even if logged in."),B.forEach(a),gv.forEach(a),gf=u(at),sl=r(at,"LI",{});var Ev=o(sl);R=r(Ev,"P",{});var U=o(R);cf=l(U,"Step 1: we want to harmonize everything and use "),rl=r(U,"CODE",{});var $v=o(rl);pf=l($v,"token"),$v.forEach(a),df=l(U,` everywhere (supporting
`),ol=r(U,"CODE",{});var yv=o(ol);ff=l(yv,"token=False"),yv.forEach(a),_f=l(U,` for read-only methods). In order not to break existing code, if
`),nl=r(U,"CODE",{});var wv=o(nl);mf=l(wv,"use_auth_token"),wv.forEach(a),bf=l(U," is passed to a function, the "),ll=r(U,"CODE",{});var kv=o(ll);vf=l(kv,"use_auth_token"),kv.forEach(a),Ef=l(U,` value is passed
as `),il=r(U,"CODE",{});var Hv=o(il);$f=l(Hv,"token"),Hv.forEach(a),yf=l(U,` instead, without any warning.
a. Corner case: if both `),hl=r(U,"CODE",{});var jv=o(hl);wf=l(jv,"use_auth_token"),jv.forEach(a),kf=l(U," and "),ul=r(U,"CODE",{});var xv=o(ul);Hf=l(xv,"token"),xv.forEach(a),jf=l(U,` values are passed, a warning
is thrown and the `),gl=r(U,"CODE",{});var Tv=o(gl);xf=l(Tv,"use_auth_token"),Tv.forEach(a),Tf=l(U," value is ignored."),U.forEach(a),Ev.forEach(a),Pf=u(at),cl=r(at,"LI",{});var Pv=o(cl);Vt=r(Pv,"P",{});var qr=o(Vt);Nf=l(qr,`Step 2: Once it is release, we should push downstream libraries to switch from
`),pl=r(qr,"CODE",{});var Nv=o(pl);qf=l(Nv,"use_auth_token"),Nv.forEach(a),Df=l(qr," to "),dl=r(qr,"CODE",{});var qv=o(dl);Rf=l(qv,"token"),qv.forEach(a),Cf=l(qr,` as much as possible, but without throwing a warning
(e.g. manually create issues on the corresponding repos).`),qr.forEach(a),Pv.forEach(a),Ff=u(at),fl=r(at,"LI",{});var Dv=o(fl);ke=r(Dv,"P",{});var st=o(ke);If=l(st,`Step 3: After a transitional period (6 months e.g. until April 2023?), we update
`),_l=r(st,"CODE",{});var Rv=o(_l);Of=l(Rv,"huggingface_hub"),Rv.forEach(a),Af=l(st," to throw a warning on "),ml=r(st,"CODE",{});var Cv=o(ml);Lf=l(Cv,"use_auth_token"),Cv.forEach(a),Sf=l(st,`. Hopefully, very few
users will be impacted as it would have already been fixed.
In addition, unit tests in `),bl=r(st,"CODE",{});var Fv=o(bl);Vf=l(Fv,"huggingface_hub"),Fv.forEach(a),Bf=l(st,` must be adapted to expect warnings
to be thrown (but still use `),vl=r(st,"CODE",{});var Iv=o(vl);Uf=l(Iv,"use_auth_token"),Iv.forEach(a),Gf=l(st," as before)."),st.forEach(a),Dv.forEach(a),zf=u(at),El=r(at,"LI",{});var Ov=o(El);Xe=r(Ov,"P",{});var Ia=o(Xe);Mf=l(Ia,`Step 4: After a normal deprecation cycle (3 releases ?), remove this validator.
`),$l=r(Ia,"CODE",{});var Av=o($l);Wf=l(Av,"use_auth_token"),Av.forEach(a),Xf=l(Ia,` will definitely not be supported.
In addition, we update unit tests in `),yl=r(Ia,"CODE",{});var Lv=o(yl);Yf=l(Lv,"huggingface_hub"),Lv.forEach(a),Kf=l(Ia," to use "),wl=r(Ia,"CODE",{});var Sv=o(wl);Jf=l(Sv,"token"),Sv.forEach(a),Zf=l(Ia," everywhere."),Ia.forEach(a),Ov.forEach(a),at.forEach(a),Qf=u(Re),kl=r(Re,"P",{});var Vv=o(kl);e_=l(Vv,"This has been discussed in:"),Vv.forEach(a),t_=u(Re),Bt=r(Re,"UL",{});var Dr=o(Bt);fr=r(Dr,"LI",{});var d_=o(fr);Js=r(d_,"A",{href:!0,rel:!0});var Bv=o(Js);a_=l(Bv,"https://github.com/huggingface/huggingface_hub/issues/1094"),Bv.forEach(a),s_=l(d_,"."),d_.forEach(a),r_=u(Dr),Hl=r(Dr,"LI",{});var Uv=o(Hl);Zs=r(Uv,"A",{href:!0,rel:!0});var Gv=o(Zs);o_=l(Gv,"https://github.com/huggingface/huggingface_hub/pull/928"),Gv.forEach(a),Uv.forEach(a),n_=u(Dr),_r=r(Dr,"LI",{});var f_=o(_r);l_=l(f_,"(related) "),Qs=r(f_,"A",{href:!0,rel:!0});var zv=o(Qs);i_=l(zv,"https://github.com/huggingface/huggingface_hub/pull/1064"),zv.forEach(a),f_.forEach(a),Dr.forEach(a),Re.forEach(a),this.h()},h(){p(f,"name","hf:doc:metadata"),p(f,"content",JSON.stringify(pE)),p(d,"id","utilities"),p(d,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(d,"href","#utilities"),p(b,"class","relative group"),p(F,"id","huggingface_hub.utils.logging.get_verbosity"),p(F,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(F,"href","#huggingface_hub.utils.logging.get_verbosity"),p(G,"class","relative group"),p(Le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Jt,"id","huggingface_hub.utils.logging.get_logger"),p(Jt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Jt,"href","#huggingface_hub.utils.logging.get_logger"),p(pt,"class","relative group"),p(Se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Qt,"id","handle-http-errors"),p(Qt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Qt,"href","#handle-http-errors"),p(dt,"class","relative group"),p(ea,"id","huggingface_hub.utils.hf_raise_for_status"),p(ea,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(ea,"href","#huggingface_hub.utils.hf_raise_for_status"),p(ft,"class","relative group"),p(lr,"href","/docs/huggingface_hub/main/en/package_reference/utilities#huggingface_hub.utils.hf_raise_for_status"),p(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(sa,"id","http-errors"),p(sa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(sa,"href","#http-errors"),p(mt,"class","relative group"),p(oa,"id","huggingface_hub.utils.HfHubHTTPError"),p(oa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(oa,"href","#huggingface_hub.utils.HfHubHTTPError"),p(bt,"class","relative group"),p(la,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(ia,"id","huggingface_hub.utils.RepositoryNotFoundError"),p(ia,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(ia,"href","#huggingface_hub.utils.RepositoryNotFoundError"),p(Et,"class","relative group"),p(Be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(ua,"id","huggingface_hub.utils.GatedRepoError"),p(ua,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(ua,"href","#huggingface_hub.utils.GatedRepoError"),p($t,"class","relative group"),p($e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(ca,"id","huggingface_hub.utils.RevisionNotFoundError"),p(ca,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(ca,"href","#huggingface_hub.utils.RevisionNotFoundError"),p(yt,"class","relative group"),p(Ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(da,"id","huggingface_hub.utils.EntryNotFoundError"),p(da,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(da,"href","#huggingface_hub.utils.EntryNotFoundError"),p(wt,"class","relative group"),p(Ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(_a,"id","huggingface_hub.utils.BadRequestError"),p(_a,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(_a,"href","#huggingface_hub.utils.BadRequestError"),p(kt,"class","relative group"),p(ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(ba,"id","huggingface_hub.utils.LocalEntryNotFoundError"),p(ba,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(ba,"href","#huggingface_hub.utils.LocalEntryNotFoundError"),p(Ht,"class","relative group"),p(ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Ea,"id","huggingface_hub.utils.send_telemetry"),p(Ea,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Ea,"href","#huggingface_hub.utils.send_telemetry"),p(jt,"class","relative group"),p(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(wa,"id","validators"),p(wa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(wa,"href","#validators"),p(Pt,"class","relative group"),p(Ts,"href","https://pydantic-docs.helpmanual.io/"),p(Ts,"rel","nofollow"),p(ka,"id","generic-decorator"),p(ka,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(ka,"href","#generic-decorator"),p(qt,"class","relative group"),p(ir,"href","/docs/huggingface_hub/main/en/package_reference/utilities#huggingface_hub.utils.validate_hf_hub_args"),p(hr,"href","/docs/huggingface_hub/main/en/package_reference/utilities#huggingface_hub.utils.HFValidationError"),p(ja,"id","huggingface_hub.utils.validate_hf_hub_args"),p(ja,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(ja,"href","#huggingface_hub.utils.validate_hf_hub_args"),p(Rt,"class","relative group"),p(gr,"href","/docs/huggingface_hub/main/en/package_reference/utilities#huggingface_hub.utils.validate_repo_id"),p(cr,"href","/docs/huggingface_hub/main/en/package_reference/utilities#huggingface_hub.utils.smoothly_deprecate_use_auth_token"),p(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Ta,"id","huggingface_hub.utils.HFValidationError"),p(Ta,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Ta,"href","#huggingface_hub.utils.HFValidationError"),p(Ct,"class","relative group"),p(Ls,"href","https://docs.python.org/3/library/exceptions.html#ValueError"),p(Ls,"rel","nofollow"),p(Me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Pa,"id","argument-validators"),p(Pa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Pa,"href","#argument-validators"),p(Ft,"class","relative group"),p(Na,"id","huggingface_hub.utils.validate_repo_id"),p(Na,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Na,"href","#huggingface_hub.utils.validate_repo_id"),p(It,"class","relative group"),p(zs,"href","https://github.com/huggingface/huggingface_hub/issues/1008"),p(zs,"rel","nofollow"),p(Ws,"href","https://github.com/huggingface/moon-landing/blob/main/server/lib/Names.ts#L27"),p(Ws,"rel","nofollow"),p(Xs,"href","https://github.com/huggingface/moon-landing/blob/main/server/views/components/NewRepoForm/NewRepoForm.svelte#L138"),p(Xs,"rel","nofollow"),p(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Da,"id","huggingface_hub.utils.smoothly_deprecate_use_auth_token"),p(Da,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Da,"href","#huggingface_hub.utils.smoothly_deprecate_use_auth_token"),p(At,"class","relative group"),p(ge,"start","0"),p(Js,"href","https://github.com/huggingface/huggingface_hub/issues/1094"),p(Js,"rel","nofollow"),p(Zs,"href","https://github.com/huggingface/huggingface_hub/pull/928"),p(Zs,"rel","nofollow"),p(Qs,"href","https://github.com/huggingface/huggingface_hub/pull/1064"),p(Qs,"rel","nofollow"),p(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,g){e(document.head,f),c(t,H,g),c(t,b,g),e(b,d),e(d,m),$(i,m,null),e(b,_),e(b,pe),e(pe,ee),c(t,He,g),c(t,G,g),e(G,F),e(F,te),$(ae,te,null),e(G,Ie),e(G,I),e(I,K),c(t,je,g),c(t,V,g),e(V,de),e(V,J),e(J,ne),e(V,fe),e(V,se),e(se,Oe),e(V,le),c(t,z,g),$(M,t,g),c(t,xe,g),c(t,P,g),e(P,W),c(t,N,g),$(Z,t,g),c(t,Ae,g),c(t,_e,g),e(_e,me),c(t,ie,g),c(t,q,g),e(q,be),e(be,O),e(O,ve),e(be,L),e(q,he),e(q,Te),e(Te,Xt),e(Xt,sr),e(Te,Oa),e(q,rr),e(q,Je),e(Je,Yt),e(Yt,Aa),e(Je,or),e(q,La),e(q,rt),e(rt,ot),e(ot,nr),e(rt,Rh),c(t,Ll,g),c(t,Le,g),$(Sa,Le,null),e(Le,Ch),e(Le,Rr),e(Rr,Fh),e(Le,Ih),$(Kt,Le,null),c(t,Sl,g),c(t,nt,g),$(Va,nt,null),e(nt,Oh),e(nt,Cr),e(Cr,Ah),c(t,Vl,g),c(t,lt,g),$(Ba,lt,null),e(lt,Lh),e(lt,Ua),e(Ua,Sh),e(Ua,Fr),e(Fr,Vh),e(Ua,Bh),c(t,Bl,g),c(t,it,g),$(Ga,it,null),e(it,Uh),e(it,za),e(za,Gh),e(za,Ir),e(Ir,zh),e(za,Mh),c(t,Ul,g),c(t,ht,g),$(Ma,ht,null),e(ht,Wh),e(ht,Wa),e(Wa,Xh),e(Wa,Or),e(Or,Yh),e(Wa,Kh),c(t,Gl,g),c(t,ut,g),$(Xa,ut,null),e(ut,Jh),e(ut,Ya),e(Ya,Zh),e(Ya,Ar),e(Ar,Qh),e(Ya,eu),c(t,zl,g),c(t,gt,g),$(Ka,gt,null),e(gt,tu),e(gt,Lr),e(Lr,au),c(t,Ml,g),c(t,ct,g),$(Ja,ct,null),e(ct,su),e(ct,Sr),e(Sr,ru),c(t,Wl,g),c(t,pt,g),e(pt,Jt),e(Jt,Vr),$(Za,Vr,null),e(pt,ou),e(pt,Br),e(Br,nu),c(t,Xl,g),c(t,Ze,g),e(Ze,lu),e(Ze,Ur),e(Ur,iu),e(Ze,hu),e(Ze,Gr),e(Gr,uu),e(Ze,gu),c(t,Yl,g),c(t,Se,g),$(Qa,Se,null),e(Se,cu),e(Se,zr),e(zr,pu),e(Se,du),$(Zt,Se,null),c(t,Kl,g),c(t,dt,g),e(dt,Qt),e(Qt,Mr),$(es,Mr,null),e(dt,fu),e(dt,Wr),e(Wr,_u),c(t,Jl,g),c(t,Ve,g),e(Ve,Xr),e(Xr,mu),e(Ve,bu),e(Ve,Yr),e(Yr,vu),e(Ve,Eu),e(Ve,Kr),e(Kr,$u),e(Ve,yu),c(t,Zl,g),c(t,ft,g),e(ft,ea),e(ea,Jr),$(ts,Jr,null),e(ft,wu),e(ft,Zr),e(Zr,ku),c(t,Ql,g),c(t,Ee,g),e(Ee,lr),e(lr,Hu),e(Ee,ju),e(Ee,Qr),e(Qr,xu),e(Ee,Tu),e(Ee,eo),e(eo,Pu),e(Ee,Nu),e(Ee,to),e(to,qu),e(Ee,Du),c(t,ei,g),$(as,t,g),c(t,ti,g),c(t,re,g),$(ss,re,null),e(re,Ru),e(re,_t),e(_t,Cu),e(_t,ao),e(ao,Fu),e(_t,Iu),e(_t,so),e(so,Ou),e(_t,Au),e(re,Lu),e(re,ro),e(ro,Su),e(re,Vu),$(ta,re,null),e(re,Bu),$(aa,re,null),c(t,ai,g),c(t,mt,g),e(mt,sa),e(sa,oo),$(rs,oo,null),e(mt,Uu),e(mt,no),e(no,Gu),c(t,si,g),c(t,ra,g),e(ra,zu),e(ra,lo),e(lo,Mu),e(ra,Wu),c(t,ri,g),c(t,bt,g),e(bt,oa),e(oa,io),$(os,io,null),e(bt,Xu),e(bt,ho),e(ho,Yu),c(t,oi,g),c(t,ns,g),e(ns,uo),e(uo,Ku),e(ns,Ju),c(t,ni,g),c(t,S,g),$(ls,S,null),e(S,Zu),e(S,go),e(go,Qu),e(S,eg),e(S,is),e(is,tg),e(is,co),e(co,ag),e(is,sg),e(S,rg),e(S,po),e(po,og),e(S,ng),e(S,vt),e(vt,fo),e(fo,lg),e(vt,ig),e(vt,_o),e(_o,hg),e(vt,ug),e(vt,mo),e(mo,gg),e(S,cg),$(na,S,null),e(S,pg),e(S,la),$(hs,la,null),e(la,dg),e(la,us),e(us,fg),e(us,bo),e(bo,_g),e(us,mg),c(t,li,g),c(t,Et,g),e(Et,ia),e(ia,vo),$(gs,vo,null),e(Et,bg),e(Et,Eo),e(Eo,vg),c(t,ii,g),c(t,Be,g),$(cs,Be,null),e(Be,Eg),e(Be,$o),e($o,$g),e(Be,yg),$(ha,Be,null),c(t,hi,g),c(t,$t,g),e($t,ua),e(ua,yo),$(ps,yo,null),e($t,wg),e($t,wo),e(wo,kg),c(t,ui,g),c(t,$e,g),$(ds,$e,null),e($e,Hg),e($e,ko),e(ko,jg),e($e,xg),e($e,fs),e(fs,Tg),e(fs,Ho),e(Ho,Pg),e(fs,Ng),e($e,qg),$(ga,$e,null),c(t,gi,g),c(t,yt,g),e(yt,ca),e(ca,jo),$(_s,jo,null),e(yt,Dg),e(yt,xo),e(xo,Rg),c(t,ci,g),c(t,Ue,g),$(ms,Ue,null),e(Ue,Cg),e(Ue,To),e(To,Fg),e(Ue,Ig),$(pa,Ue,null),c(t,pi,g),c(t,wt,g),e(wt,da),e(da,Po),$(bs,Po,null),e(wt,Og),e(wt,No),e(No,Ag),c(t,di,g),c(t,Ge,g),$(vs,Ge,null),e(Ge,Lg),e(Ge,qo),e(qo,Sg),e(Ge,Vg),$(fa,Ge,null),c(t,fi,g),c(t,kt,g),e(kt,_a),e(_a,Do),$(Es,Do,null),e(kt,Bg),e(kt,Ro),e(Ro,Ug),c(t,_i,g),c(t,ze,g),$($s,ze,null),e(ze,Gg),e(ze,ys),e(ys,zg),e(ys,Co),e(Co,Mg),e(ys,Wg),e(ze,Xg),$(ma,ze,null),c(t,mi,g),c(t,Ht,g),e(Ht,ba),e(ba,Fo),$(ws,Fo,null),e(Ht,Yg),e(Ht,Io),e(Io,Kg),c(t,bi,g),c(t,ye,g),$(ks,ye,null),e(ye,Jg),e(ye,Oo),e(Oo,Zg),e(ye,Qg),e(ye,we),e(we,ec),e(we,Ao),e(Ao,tc),e(we,ac),e(we,Lo),e(Lo,sc),e(we,rc),e(we,So),e(So,oc),e(we,nc),e(we,Vo),e(Vo,lc),e(we,ic),e(ye,hc),$(va,ye,null),c(t,vi,g),c(t,jt,g),e(jt,Ea),e(Ea,Bo),$(Hs,Bo,null),e(jt,uc),e(jt,Uo),e(Uo,gc),c(t,Ei,g),c(t,xt,g),e(xt,Go),e(Go,cc),e(xt,pc),e(xt,zo),e(zo,dc),e(xt,fc),c(t,$i,g),c(t,$a,g),e($a,_c),e($a,Mo),e(Mo,mc),e($a,bc),c(t,yi,g),c(t,oe,g),$(js,oe,null),e(oe,vc),e(oe,Wo),e(Wo,Ec),e(oe,$c),e(oe,Tt),e(Tt,yc),e(Tt,Xo),e(Xo,wc),e(Tt,kc),e(Tt,Yo),e(Yo,Hc),e(Tt,jc),e(oe,xc),e(oe,Ko),e(Ko,Tc),e(oe,Pc),$(ya,oe,null),c(t,wi,g),c(t,Pt,g),e(Pt,wa),e(wa,Jo),$(xs,Jo,null),e(Pt,Nc),e(Pt,Zo),e(Zo,qc),c(t,ki,g),c(t,Nt,g),e(Nt,Qo),e(Qo,Dc),e(Nt,Rc),e(Nt,Ts),e(Ts,Cc),e(Nt,Fc),c(t,Hi,g),c(t,qt,g),e(qt,ka),e(ka,en),$(Ps,en,null),e(qt,Ic),e(qt,tn),e(tn,Oc),c(t,ji,g),c(t,Dt,g),e(Dt,ir),e(ir,Ac),e(Dt,Lc),e(Dt,an),e(an,Sc),e(Dt,Vc),c(t,xi,g),c(t,Ha,g),e(Ha,Bc),e(Ha,hr),e(hr,Uc),e(Ha,Gc),c(t,Ti,g),c(t,ur,g),e(ur,zc),c(t,Pi,g),$(Ns,t,g),c(t,Ni,g),c(t,Rt,g),e(Rt,ja),e(ja,sn),$(qs,sn,null),e(Rt,Mc),e(Rt,rn),e(rn,Wc),c(t,qi,g),c(t,X,g),$(Ds,X,null),e(X,Xc),e(X,Rs),e(Rs,Yc),e(Rs,on),e(on,Kc),e(Rs,Jc),e(X,Zc),e(X,nn),e(nn,Qc),e(X,ep),e(X,ln),e(ln,tp),e(X,ap),e(X,Cs),e(Cs,Pe),e(Pe,gr),e(gr,sp),e(Pe,rp),e(Pe,hn),e(hn,op),e(Pe,np),e(Pe,un),e(un,lp),e(Pe,ip),e(Pe,gn),e(gn,hp),e(Pe,up),e(Cs,gp),e(Cs,ue),e(ue,cr),e(cr,cp),e(ue,pp),e(ue,cn),e(cn,dp),e(ue,fp),e(ue,pn),e(pn,_p),e(ue,mp),e(ue,dn),e(dn,bp),e(ue,vp),e(ue,fn),e(fn,Ep),e(ue,$p),e(X,yp),$(xa,X,null),c(t,Di,g),c(t,Ct,g),e(Ct,Ta),e(Ta,_n),$(Fs,_n,null),e(Ct,wp),e(Ct,mn),e(mn,kp),c(t,Ri,g),c(t,Me,g),$(Is,Me,null),e(Me,Hp),e(Me,Os),e(Os,jp),e(Os,bn),e(bn,xp),e(Os,Tp),e(Me,Pp),e(Me,As),e(As,Np),e(As,Ls),e(Ls,vn),e(vn,qp),e(As,Dp),c(t,Ci,g),c(t,Ft,g),e(Ft,Pa),e(Pa,En),$(Ss,En,null),e(Ft,Rp),e(Ft,$n),e($n,Cp),c(t,Fi,g),c(t,pr,g),e(pr,Fp),c(t,Ii,g),c(t,It,g),e(It,Na),e(Na,yn),$(Vs,yn,null),e(It,Ip),e(It,wn),e(wn,Op),c(t,Oi,g),c(t,x,g),$(Bs,x,null),e(x,Ap),e(x,Us),e(Us,Lp),e(Us,kn),e(kn,Sp),e(Us,Vp),e(x,Bp),e(x,Ot),e(Ot,Up),e(Ot,Hn),e(Hn,Gp),e(Ot,zp),e(Ot,jn),e(jn,Mp),e(Ot,Wp),e(x,Xp),e(x,xn),e(xn,Yp),e(x,Kp),e(x,We),e(We,Tn),e(Tn,Jp),e(We,Zp),e(We,Pn),e(Pn,Qp),e(We,ed),e(We,Nn),e(Nn,td),e(We,ad),e(We,qn),e(qn,sd),e(x,rd),e(x,Ne),e(Ne,od),e(Ne,Dn),e(Dn,nd),e(Ne,ld),e(Ne,Rn),e(Rn,id),e(Ne,hd),e(Ne,Cn),e(Cn,ud),e(Ne,gd),e(Ne,Fn),e(Fn,cd),e(x,pd),e(x,qe),e(qe,dd),e(qe,In),e(In,fd),e(qe,_d),e(qe,On),e(On,md),e(qe,bd),e(qe,An),e(An,vd),e(qe,Ed),e(qe,Ln),e(Ln,$d),e(x,yd),$(qa,x,null),e(x,wd),e(x,Gs),e(Gs,kd),e(Gs,zs),e(zs,Hd),e(Gs,jd),e(x,xd),e(x,Ms),e(Ms,Sn),e(Sn,Ws),e(Ws,Td),e(Ms,Pd),e(Ms,Vn),e(Vn,Xs),e(Xs,Nd),c(t,Ai,g),c(t,At,g),e(At,Da),e(Da,Bn),$(Ys,Bn,null),e(At,qd),e(At,Un),e(Un,Dd),c(t,Li,g),c(t,dr,g),e(dr,Rd),c(t,Si,g),c(t,Y,g),$(Ks,Y,null),e(Y,Cd),e(Y,Lt),e(Lt,Fd),e(Lt,Gn),e(Gn,Id),e(Lt,Od),e(Lt,zn),e(zn,Ad),e(Lt,Ld),e(Y,Sd),e(Y,St),e(St,Vd),e(St,Mn),e(Mn,Bd),e(St,Ud),e(St,Wn),e(Wn,Gd),e(St,zd),e(Y,Md),e(Y,ge),e(ge,Xn),e(Xn,D),e(D,Wd),e(D,Yn),e(Yn,Xd),e(D,Yd),e(D,Kn),e(Kn,Kd),e(D,Jd),e(D,Jn),e(Jn,Zd),e(D,Qd),e(D,Zn),e(Zn,ef),e(D,tf),e(D,Qn),e(Qn,af),e(D,sf),e(D,el),e(el,rf),e(D,of),e(D,tl),e(tl,nf),e(D,lf),e(D,al),e(al,hf),e(D,uf),e(ge,gf),e(ge,sl),e(sl,R),e(R,cf),e(R,rl),e(rl,pf),e(R,df),e(R,ol),e(ol,ff),e(R,_f),e(R,nl),e(nl,mf),e(R,bf),e(R,ll),e(ll,vf),e(R,Ef),e(R,il),e(il,$f),e(R,yf),e(R,hl),e(hl,wf),e(R,kf),e(R,ul),e(ul,Hf),e(R,jf),e(R,gl),e(gl,xf),e(R,Tf),e(ge,Pf),e(ge,cl),e(cl,Vt),e(Vt,Nf),e(Vt,pl),e(pl,qf),e(Vt,Df),e(Vt,dl),e(dl,Rf),e(Vt,Cf),e(ge,Ff),e(ge,fl),e(fl,ke),e(ke,If),e(ke,_l),e(_l,Of),e(ke,Af),e(ke,ml),e(ml,Lf),e(ke,Sf),e(ke,bl),e(bl,Vf),e(ke,Bf),e(ke,vl),e(vl,Uf),e(ke,Gf),e(ge,zf),e(ge,El),e(El,Xe),e(Xe,Mf),e(Xe,$l),e($l,Wf),e(Xe,Xf),e(Xe,yl),e(yl,Yf),e(Xe,Kf),e(Xe,wl),e(wl,Jf),e(Xe,Zf),e(Y,Qf),e(Y,kl),e(kl,e_),e(Y,t_),e(Y,Bt),e(Bt,fr),e(fr,Js),e(Js,a_),e(fr,s_),e(Bt,r_),e(Bt,Hl),e(Hl,Zs),e(Zs,o_),e(Bt,n_),e(Bt,_r),e(_r,l_),e(_r,Qs),e(Qs,i_),Vi=!0},p(t,[g]){const er={};g&2&&(er.$$scope={dirty:g,ctx:t}),Kt.$set(er);const jl={};g&2&&(jl.$$scope={dirty:g,ctx:t}),Zt.$set(jl);const xl={};g&2&&(xl.$$scope={dirty:g,ctx:t}),ta.$set(xl);const Tl={};g&2&&(Tl.$$scope={dirty:g,ctx:t}),aa.$set(Tl);const tr={};g&2&&(tr.$$scope={dirty:g,ctx:t}),na.$set(tr);const Pl={};g&2&&(Pl.$$scope={dirty:g,ctx:t}),ha.$set(Pl);const Nl={};g&2&&(Nl.$$scope={dirty:g,ctx:t}),ga.$set(Nl);const ql={};g&2&&(ql.$$scope={dirty:g,ctx:t}),pa.$set(ql);const Ut={};g&2&&(Ut.$$scope={dirty:g,ctx:t}),fa.$set(Ut);const Dl={};g&2&&(Dl.$$scope={dirty:g,ctx:t}),ma.$set(Dl);const Rl={};g&2&&(Rl.$$scope={dirty:g,ctx:t}),va.$set(Rl);const Cl={};g&2&&(Cl.$$scope={dirty:g,ctx:t}),ya.$set(Cl);const Fl={};g&2&&(Fl.$$scope={dirty:g,ctx:t}),xa.$set(Fl);const Ye={};g&2&&(Ye.$$scope={dirty:g,ctx:t}),qa.$set(Ye)},i(t){Vi||(y(i.$$.fragment,t),y(ae.$$.fragment,t),y(M.$$.fragment,t),y(Z.$$.fragment,t),y(Sa.$$.fragment,t),y(Kt.$$.fragment,t),y(Va.$$.fragment,t),y(Ba.$$.fragment,t),y(Ga.$$.fragment,t),y(Ma.$$.fragment,t),y(Xa.$$.fragment,t),y(Ka.$$.fragment,t),y(Ja.$$.fragment,t),y(Za.$$.fragment,t),y(Qa.$$.fragment,t),y(Zt.$$.fragment,t),y(es.$$.fragment,t),y(ts.$$.fragment,t),y(as.$$.fragment,t),y(ss.$$.fragment,t),y(ta.$$.fragment,t),y(aa.$$.fragment,t),y(rs.$$.fragment,t),y(os.$$.fragment,t),y(ls.$$.fragment,t),y(na.$$.fragment,t),y(hs.$$.fragment,t),y(gs.$$.fragment,t),y(cs.$$.fragment,t),y(ha.$$.fragment,t),y(ps.$$.fragment,t),y(ds.$$.fragment,t),y(ga.$$.fragment,t),y(_s.$$.fragment,t),y(ms.$$.fragment,t),y(pa.$$.fragment,t),y(bs.$$.fragment,t),y(vs.$$.fragment,t),y(fa.$$.fragment,t),y(Es.$$.fragment,t),y($s.$$.fragment,t),y(ma.$$.fragment,t),y(ws.$$.fragment,t),y(ks.$$.fragment,t),y(va.$$.fragment,t),y(Hs.$$.fragment,t),y(js.$$.fragment,t),y(ya.$$.fragment,t),y(xs.$$.fragment,t),y(Ps.$$.fragment,t),y(Ns.$$.fragment,t),y(qs.$$.fragment,t),y(Ds.$$.fragment,t),y(xa.$$.fragment,t),y(Fs.$$.fragment,t),y(Is.$$.fragment,t),y(Ss.$$.fragment,t),y(Vs.$$.fragment,t),y(Bs.$$.fragment,t),y(qa.$$.fragment,t),y(Ys.$$.fragment,t),y(Ks.$$.fragment,t),Vi=!0)},o(t){w(i.$$.fragment,t),w(ae.$$.fragment,t),w(M.$$.fragment,t),w(Z.$$.fragment,t),w(Sa.$$.fragment,t),w(Kt.$$.fragment,t),w(Va.$$.fragment,t),w(Ba.$$.fragment,t),w(Ga.$$.fragment,t),w(Ma.$$.fragment,t),w(Xa.$$.fragment,t),w(Ka.$$.fragment,t),w(Ja.$$.fragment,t),w(Za.$$.fragment,t),w(Qa.$$.fragment,t),w(Zt.$$.fragment,t),w(es.$$.fragment,t),w(ts.$$.fragment,t),w(as.$$.fragment,t),w(ss.$$.fragment,t),w(ta.$$.fragment,t),w(aa.$$.fragment,t),w(rs.$$.fragment,t),w(os.$$.fragment,t),w(ls.$$.fragment,t),w(na.$$.fragment,t),w(hs.$$.fragment,t),w(gs.$$.fragment,t),w(cs.$$.fragment,t),w(ha.$$.fragment,t),w(ps.$$.fragment,t),w(ds.$$.fragment,t),w(ga.$$.fragment,t),w(_s.$$.fragment,t),w(ms.$$.fragment,t),w(pa.$$.fragment,t),w(bs.$$.fragment,t),w(vs.$$.fragment,t),w(fa.$$.fragment,t),w(Es.$$.fragment,t),w($s.$$.fragment,t),w(ma.$$.fragment,t),w(ws.$$.fragment,t),w(ks.$$.fragment,t),w(va.$$.fragment,t),w(Hs.$$.fragment,t),w(js.$$.fragment,t),w(ya.$$.fragment,t),w(xs.$$.fragment,t),w(Ps.$$.fragment,t),w(Ns.$$.fragment,t),w(qs.$$.fragment,t),w(Ds.$$.fragment,t),w(xa.$$.fragment,t),w(Fs.$$.fragment,t),w(Is.$$.fragment,t),w(Ss.$$.fragment,t),w(Vs.$$.fragment,t),w(Bs.$$.fragment,t),w(qa.$$.fragment,t),w(Ys.$$.fragment,t),w(Ks.$$.fragment,t),Vi=!1},d(t){a(f),t&&a(H),t&&a(b),k(i),t&&a(He),t&&a(G),k(ae),t&&a(je),t&&a(V),t&&a(z),k(M,t),t&&a(xe),t&&a(P),t&&a(N),k(Z,t),t&&a(Ae),t&&a(_e),t&&a(ie),t&&a(q),t&&a(Ll),t&&a(Le),k(Sa),k(Kt),t&&a(Sl),t&&a(nt),k(Va),t&&a(Vl),t&&a(lt),k(Ba),t&&a(Bl),t&&a(it),k(Ga),t&&a(Ul),t&&a(ht),k(Ma),t&&a(Gl),t&&a(ut),k(Xa),t&&a(zl),t&&a(gt),k(Ka),t&&a(Ml),t&&a(ct),k(Ja),t&&a(Wl),t&&a(pt),k(Za),t&&a(Xl),t&&a(Ze),t&&a(Yl),t&&a(Se),k(Qa),k(Zt),t&&a(Kl),t&&a(dt),k(es),t&&a(Jl),t&&a(Ve),t&&a(Zl),t&&a(ft),k(ts),t&&a(Ql),t&&a(Ee),t&&a(ei),k(as,t),t&&a(ti),t&&a(re),k(ss),k(ta),k(aa),t&&a(ai),t&&a(mt),k(rs),t&&a(si),t&&a(ra),t&&a(ri),t&&a(bt),k(os),t&&a(oi),t&&a(ns),t&&a(ni),t&&a(S),k(ls),k(na),k(hs),t&&a(li),t&&a(Et),k(gs),t&&a(ii),t&&a(Be),k(cs),k(ha),t&&a(hi),t&&a($t),k(ps),t&&a(ui),t&&a($e),k(ds),k(ga),t&&a(gi),t&&a(yt),k(_s),t&&a(ci),t&&a(Ue),k(ms),k(pa),t&&a(pi),t&&a(wt),k(bs),t&&a(di),t&&a(Ge),k(vs),k(fa),t&&a(fi),t&&a(kt),k(Es),t&&a(_i),t&&a(ze),k($s),k(ma),t&&a(mi),t&&a(Ht),k(ws),t&&a(bi),t&&a(ye),k(ks),k(va),t&&a(vi),t&&a(jt),k(Hs),t&&a(Ei),t&&a(xt),t&&a($i),t&&a($a),t&&a(yi),t&&a(oe),k(js),k(ya),t&&a(wi),t&&a(Pt),k(xs),t&&a(ki),t&&a(Nt),t&&a(Hi),t&&a(qt),k(Ps),t&&a(ji),t&&a(Dt),t&&a(xi),t&&a(Ha),t&&a(Ti),t&&a(ur),t&&a(Pi),k(Ns,t),t&&a(Ni),t&&a(Rt),k(qs),t&&a(qi),t&&a(X),k(Ds),k(xa),t&&a(Di),t&&a(Ct),k(Fs),t&&a(Ri),t&&a(Me),k(Is),t&&a(Ci),t&&a(Ft),k(Ss),t&&a(Fi),t&&a(pr),t&&a(Ii),t&&a(It),k(Vs),t&&a(Oi),t&&a(x),k(Bs),k(qa),t&&a(Ai),t&&a(At),k(Ys),t&&a(Li),t&&a(dr),t&&a(Si),t&&a(Y),k(Ks)}}}const pE={local:"utilities",sections:[{local:"huggingface_hub.utils.logging.get_verbosity",sections:[{local:"huggingface_hub.utils.logging.get_logger",title:"Repo-specific helper methods"}],title:"Configure logging"},{local:"handle-http-errors",sections:[{local:"huggingface_hub.utils.hf_raise_for_status",title:"Raise for status"},{local:"http-errors",sections:[{local:"huggingface_hub.utils.HfHubHTTPError",title:"HfHubHTTPError"},{local:"huggingface_hub.utils.RepositoryNotFoundError",title:"RepositoryNotFoundError"},{local:"huggingface_hub.utils.GatedRepoError",title:"GatedRepoError"},{local:"huggingface_hub.utils.RevisionNotFoundError",title:"RevisionNotFoundError"},{local:"huggingface_hub.utils.EntryNotFoundError",title:"EntryNotFoundError"},{local:"huggingface_hub.utils.BadRequestError",title:"BadRequestError"},{local:"huggingface_hub.utils.LocalEntryNotFoundError",title:"LocalEntryNotFoundError"}],title:"HTTP errors"}],title:"Handle HTTP errors"},{local:"huggingface_hub.utils.send_telemetry",title:"Telemetry"},{local:"validators",sections:[{local:"generic-decorator",sections:[{local:"huggingface_hub.utils.validate_hf_hub_args",title:"validate_hf_hub_args"},{local:"huggingface_hub.utils.HFValidationError",title:"HFValidationError"}],title:"Generic decorator"},{local:"argument-validators",sections:[{local:"huggingface_hub.utils.validate_repo_id",title:"repo_id"},{local:"huggingface_hub.utils.smoothly_deprecate_use_auth_token",title:"smoothly_deprecate_use_auth_token"}],title:"Argument validators"}],title:"Validators"}],title:"Utilities"};function dE(j){return Jv(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class $E extends Wv{constructor(f){super();Xv(this,f,dE,cE,Yv,{})}}export{$E as default,pE as metadata};
